LeaseΒΆ
Lease - Get LeaseΒΆ
HTTP Request
GET /api/leases/{id}
π Description: Retrieves detailed information about a specific lease within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio and asset data related to real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "typeId": 0,
10 "terminatingLease": "2019-08-24",
11 "maximumDateTo": "2019-08-24",
12 "number": "string",
13 "validFrom": "2019-08-24",
14 "validTo": "2019-08-24",
15 "categoryId": 0,
16 "registrationNumber": "string",
17 "statusId": 0,
18 "stateId": 0,
19 "calculateTax": true,
20 "autoMonthToMonth": true,
21 "originalLeaseId": 0,
22 "scenario": true,
23 "parentLeaseId": 0,
24 "areasHistoryVersionId": 0,
25 "provisioningFrequencyName": "string",
26 "accountingApproved": true,
27 "indexationType": "string",
28 "cpiGlobalCategoryId": 0,
29 "indexationReferenceDate": "2019-08-24",
30 "currentIndexLevel": 0.1,
31 "conditionallyIndexed": true,
32 "applicableCurrentIndexLevel": 0.1,
33 "indexLevelPercentageChangeLowerBound": 0.1,
34 "indexLevelPercentageChangeUpperBound": 0.1,
35 "indexationTypeNonLease": "string",
36 "cpiGlobalCategoryIdNonLease": 0,
37 "indexationReferenceDateNonLease": "2019-08-24",
38 "currentIndexLevelNonLease": 0.1,
39 "conditionallyIndexedNonLease": true,
40 "applicableCurrentIndexLevelNonLease": 0.1,
41 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
42 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
43 "signatureDate": "2019-08-24",
44 "premiseId": 0,
45 "type": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "category": {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "priority": 0,
82 "internalId": 0,
83 "pickListCode": "string",
84 "pickListLabel": "string",
85 "label": "string",
86 "cultureId": 0,
87 "labelDtos": [
88 {
89 "createdBy": "string",
90 "lastModifiedBy": "string",
91 "createdDate": "2019-08-24T14:15:22Z",
92 "lastModifiedDate": "2019-08-24T14:15:22Z",
93 "archived": true,
94 "externalId": "string",
95 "id": 0,
96 "cultureId": 0,
97 "value": "string"
98 }
99 ]
100 },
101 "status": {
102 "createdBy": "string",
103 "lastModifiedBy": "string",
104 "createdDate": "2019-08-24T14:15:22Z",
105 "lastModifiedDate": "2019-08-24T14:15:22Z",
106 "archived": true,
107 "externalId": "string",
108 "id": 0,
109 "priority": 0,
110 "internalId": 0,
111 "pickListCode": "string",
112 "pickListLabel": "string",
113 "label": "string",
114 "cultureId": 0,
115 "labelDtos": [
116 {
117 "createdBy": "string",
118 "lastModifiedBy": "string",
119 "createdDate": "2019-08-24T14:15:22Z",
120 "lastModifiedDate": "2019-08-24T14:15:22Z",
121 "archived": true,
122 "externalId": "string",
123 "id": 0,
124 "cultureId": 0,
125 "value": "string"
126 }
127 ]
128 },
129 "state": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "priority": 0,
138 "internalId": 0,
139 "pickListCode": "string",
140 "pickListLabel": "string",
141 "label": "string",
142 "cultureId": 0,
143 "labelDtos": [
144 {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "cultureId": 0,
153 "value": "string"
154 }
155 ]
156 },
157 "version": {
158 "createdBy": "string",
159 "lastModifiedBy": "string",
160 "createdDate": "2019-08-24T14:15:22Z",
161 "lastModifiedDate": "2019-08-24T14:15:22Z",
162 "archived": true,
163 "externalId": "string",
164 "id": 0,
165 "name": "string",
166 "description": "string",
167 "modificationDate": "2019-08-24",
168 "updateContractRate": true,
169 "leaseEvent": {
170 "createdBy": "string",
171 "lastModifiedBy": "string",
172 "createdDate": "2019-08-24T14:15:22Z",
173 "lastModifiedDate": "2019-08-24T14:15:22Z",
174 "archived": true,
175 "externalId": "string",
176 "id": 0,
177 "typeId": 0,
178 "code": "string",
179 "reviewedBy": "string",
180 "reviewedDate": "2019-08-24",
181 "reviewedStatusId": 0,
182 "activityDate": "2019-08-24",
183 "relatedPickListOptionId": 0,
184 "detail": "string",
185 "note": {
186 "createdBy": "string",
187 "lastModifiedBy": "string",
188 "createdDate": "2019-08-24T14:15:22Z",
189 "lastModifiedDate": "2019-08-24T14:15:22Z",
190 "archived": true,
191 "externalId": "string",
192 "id": 0,
193 "message": "string",
194 "preserveOriginalAudit": true,
195 "originalCreatedBy": "string",
196 "originalCreatedDate": "2019-08-24T14:15:22Z",
197 "originalLastModifiedBy": "string",
198 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
199 },
200 "type": {
201 "createdBy": "string",
202 "lastModifiedBy": "string",
203 "createdDate": "2019-08-24T14:15:22Z",
204 "lastModifiedDate": "2019-08-24T14:15:22Z",
205 "archived": true,
206 "externalId": "string",
207 "id": 0,
208 "priority": 0,
209 "internalId": 0,
210 "pickListCode": "string",
211 "pickListLabel": "string",
212 "label": "string",
213 "cultureId": 0,
214 "labelDtos": [
215 {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "cultureId": 0,
224 "value": "string"
225 }
226 ]
227 },
228 "reviewedStatus": {
229 "createdBy": "string",
230 "lastModifiedBy": "string",
231 "createdDate": "2019-08-24T14:15:22Z",
232 "lastModifiedDate": "2019-08-24T14:15:22Z",
233 "archived": true,
234 "externalId": "string",
235 "id": 0,
236 "priority": 0,
237 "internalId": 0,
238 "pickListCode": "string",
239 "pickListLabel": "string",
240 "label": "string",
241 "cultureId": 0,
242 "labelDtos": [
243 {
244 "createdBy": "string",
245 "lastModifiedBy": "string",
246 "createdDate": "2019-08-24T14:15:22Z",
247 "lastModifiedDate": "2019-08-24T14:15:22Z",
248 "archived": true,
249 "externalId": "string",
250 "id": 0,
251 "cultureId": 0,
252 "value": "string"
253 }
254 ]
255 },
256 "relatedPickListOption": {
257 "createdBy": "string",
258 "lastModifiedBy": "string",
259 "createdDate": "2019-08-24T14:15:22Z",
260 "lastModifiedDate": "2019-08-24T14:15:22Z",
261 "archived": true,
262 "externalId": "string",
263 "id": 0,
264 "priority": 0,
265 "internalId": 0,
266 "pickListCode": "string",
267 "pickListLabel": "string",
268 "label": "string",
269 "cultureId": 0,
270 "labelDtos": [
271 {
272 "createdBy": "string",
273 "lastModifiedBy": "string",
274 "createdDate": "2019-08-24T14:15:22Z",
275 "lastModifiedDate": "2019-08-24T14:15:22Z",
276 "archived": true,
277 "externalId": "string",
278 "id": 0,
279 "cultureId": 0,
280 "value": "string"
281 }
282 ]
283 },
284 "isVisiblePartnerPortal": true
285 },
286 "isVisibleVendorPortal": true,
287 "isTerminationVersion": true,
288 "terminationDate": "2019-08-24",
289 "penaltyAmount": 0.1,
290 "areasHistoryVersionId": 0
291 },
292 "premiseDto": {
293 "createdBy": "string",
294 "lastModifiedBy": "string",
295 "createdDate": "2019-08-24T14:15:22Z",
296 "lastModifiedDate": "2019-08-24T14:15:22Z",
297 "archived": true,
298 "externalId": "string",
299 "id": 0,
300 "number": "string",
301 "name": "string",
302 "headPremise": true,
303 "possessionDate": "2019-08-24",
304 "openingDate": "2019-08-24",
305 "closingDate": "2019-08-24",
306 "relocationDate": "2019-08-24",
307 "vacatingDate": "2019-08-24",
308 "expansionDate": "2019-08-24",
309 "statusId": 0,
310 "usageId": 0,
311 "parentPremiseId": 0,
312 "costCenterId": 0,
313 "profitCenterId": 0,
314 "legalEntityId": 0,
315 "occupancyIds": [
316 0
317 ],
318 "locationId": 0,
319 "locationDto": {
320 "createdBy": "string",
321 "lastModifiedBy": "string",
322 "createdDate": "2019-08-24T14:15:22Z",
323 "lastModifiedDate": "2019-08-24T14:15:22Z",
324 "archived": true,
325 "externalId": "string",
326 "id": 0,
327 "number": "string",
328 "name": "string",
329 "storeNumber": "string",
330 "defaultCurrencyId": 0,
331 "defaultMeasureId": 0,
332 "typeId": 0,
333 "qualityId": 0,
334 "propertyTypeId": 0,
335 "categoryId": 0,
336 "statusId": 0,
337 "businessUnitId": 0,
338 "groupIds": [
339 0
340 ],
341 "legalEntityIds": [
342 0
343 ],
344 "defaultCurrency": {
345 "id": 0,
346 "status": "CREATED",
347 "displayId": "string",
348 "erpSystemId": 0,
349 "erpSystemDisplayId": "string",
350 "name": "string",
351 "decimalPoints": 0,
352 "depreciationAreaId": 0
353 },
354 "defaultUnitValue": {
355 "createdBy": "string",
356 "lastModifiedBy": "string",
357 "createdDate": "2019-08-24T14:15:22Z",
358 "lastModifiedDate": "2019-08-24T14:15:22Z",
359 "archived": true,
360 "externalId": "string",
361 "id": 0,
362 "unitId": 0,
363 "unitOfMeasureId": 0,
364 "erpSystemId": 0,
365 "unit": {
366 "createdBy": "string",
367 "lastModifiedBy": "string",
368 "createdDate": "2019-08-24T14:15:22Z",
369 "lastModifiedDate": "2019-08-24T14:15:22Z",
370 "archived": true,
371 "externalId": "string",
372 "id": 0,
373 "priority": 0,
374 "internalId": 0,
375 "pickListCode": "string",
376 "pickListLabel": "string",
377 "label": "string",
378 "cultureId": 0,
379 "labelDtos": [
380 {
381 "createdBy": "string",
382 "lastModifiedBy": "string",
383 "createdDate": "2019-08-24T14:15:22Z",
384 "lastModifiedDate": "2019-08-24T14:15:22Z",
385 "archived": true,
386 "externalId": "string",
387 "id": 0,
388 "cultureId": 0,
389 "value": "string"
390 }
391 ]
392 },
393 "unitOfMeasure": {
394 "id": 0,
395 "status": "CREATED",
396 "displayId": "string",
397 "erpSystemId": 0,
398 "erpSystemDisplayId": "string",
399 "name": "string"
400 }
401 },
402 "type": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "quality": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "propertyType": {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "priority": 0,
467 "internalId": 0,
468 "pickListCode": "string",
469 "pickListLabel": "string",
470 "label": "string",
471 "cultureId": 0,
472 "labelDtos": [
473 {
474 "createdBy": "string",
475 "lastModifiedBy": "string",
476 "createdDate": "2019-08-24T14:15:22Z",
477 "lastModifiedDate": "2019-08-24T14:15:22Z",
478 "archived": true,
479 "externalId": "string",
480 "id": 0,
481 "cultureId": 0,
482 "value": "string"
483 }
484 ]
485 },
486 "category": {
487 "createdBy": "string",
488 "lastModifiedBy": "string",
489 "createdDate": "2019-08-24T14:15:22Z",
490 "lastModifiedDate": "2019-08-24T14:15:22Z",
491 "archived": true,
492 "externalId": "string",
493 "id": 0,
494 "priority": 0,
495 "internalId": 0,
496 "pickListCode": "string",
497 "pickListLabel": "string",
498 "label": "string",
499 "cultureId": 0,
500 "labelDtos": [
501 {
502 "createdBy": "string",
503 "lastModifiedBy": "string",
504 "createdDate": "2019-08-24T14:15:22Z",
505 "lastModifiedDate": "2019-08-24T14:15:22Z",
506 "archived": true,
507 "externalId": "string",
508 "id": 0,
509 "cultureId": 0,
510 "value": "string"
511 }
512 ]
513 },
514 "status": {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "priority": 0,
523 "internalId": 0,
524 "pickListCode": "string",
525 "pickListLabel": "string",
526 "label": "string",
527 "cultureId": 0,
528 "labelDtos": [
529 {
530 "createdBy": "string",
531 "lastModifiedBy": "string",
532 "createdDate": "2019-08-24T14:15:22Z",
533 "lastModifiedDate": "2019-08-24T14:15:22Z",
534 "archived": true,
535 "externalId": "string",
536 "id": 0,
537 "cultureId": 0,
538 "value": "string"
539 }
540 ]
541 },
542 "addressDto": {
543 "createdBy": "string",
544 "lastModifiedBy": "string",
545 "createdDate": "2019-08-24T14:15:22Z",
546 "lastModifiedDate": "2019-08-24T14:15:22Z",
547 "archived": true,
548 "externalId": "string",
549 "id": 0,
550 "street": "string",
551 "civicNumber": "string",
552 "suite": "string",
553 "postalCode": "string",
554 "lon": 0.1,
555 "lat": 0.1,
556 "city": {
557 "createdBy": "string",
558 "lastModifiedBy": "string",
559 "createdDate": "2019-08-24T14:15:22Z",
560 "lastModifiedDate": "2019-08-24T14:15:22Z",
561 "archived": true,
562 "externalId": "string",
563 "id": 0,
564 "name": "string",
565 "province": {
566 "createdBy": "string",
567 "lastModifiedBy": "string",
568 "createdDate": "2019-08-24T14:15:22Z",
569 "lastModifiedDate": "2019-08-24T14:15:22Z",
570 "archived": true,
571 "externalId": "string",
572 "id": 0,
573 "name": "string",
574 "code": "string",
575 "country": {
576 "createdBy": "string",
577 "lastModifiedBy": "string",
578 "createdDate": "2019-08-24T14:15:22Z",
579 "lastModifiedDate": "2019-08-24T14:15:22Z",
580 "archived": true,
581 "externalId": "string",
582 "id": 0,
583 "name": "string",
584 "code": "string"
585 },
586 "provinceCountryKey": "string"
587 },
588 "cityProvinceCountryKey": "string"
589 },
590 "district": {
591 "createdBy": "string",
592 "lastModifiedBy": "string",
593 "createdDate": "2019-08-24T14:15:22Z",
594 "lastModifiedDate": "2019-08-24T14:15:22Z",
595 "archived": true,
596 "externalId": "string",
597 "id": 0,
598 "name": "string",
599 "city": {
600 "createdBy": "string",
601 "lastModifiedBy": "string",
602 "createdDate": "2019-08-24T14:15:22Z",
603 "lastModifiedDate": "2019-08-24T14:15:22Z",
604 "archived": true,
605 "externalId": "string",
606 "id": 0,
607 "name": "string",
608 "province": {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "name": "string",
617 "code": "string",
618 "country": {
619 "createdBy": "string",
620 "lastModifiedBy": "string",
621 "createdDate": "2019-08-24T14:15:22Z",
622 "lastModifiedDate": "2019-08-24T14:15:22Z",
623 "archived": true,
624 "externalId": "string",
625 "id": 0,
626 "name": "string",
627 "code": "string"
628 },
629 "provinceCountryKey": "string"
630 },
631 "cityProvinceCountryKey": "string"
632 }
633 },
634 "cityId": 0,
635 "districtId": 0
636 },
637 "secondAddressDto": {
638 "createdBy": "string",
639 "lastModifiedBy": "string",
640 "createdDate": "2019-08-24T14:15:22Z",
641 "lastModifiedDate": "2019-08-24T14:15:22Z",
642 "archived": true,
643 "externalId": "string",
644 "id": 0,
645 "street": "string",
646 "civicNumber": "string",
647 "suite": "string",
648 "postalCode": "string",
649 "lon": 0.1,
650 "lat": 0.1,
651 "city": {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "name": "string",
660 "province": {
661 "createdBy": "string",
662 "lastModifiedBy": "string",
663 "createdDate": "2019-08-24T14:15:22Z",
664 "lastModifiedDate": "2019-08-24T14:15:22Z",
665 "archived": true,
666 "externalId": "string",
667 "id": 0,
668 "name": "string",
669 "code": "string",
670 "country": {
671 "createdBy": "string",
672 "lastModifiedBy": "string",
673 "createdDate": "2019-08-24T14:15:22Z",
674 "lastModifiedDate": "2019-08-24T14:15:22Z",
675 "archived": true,
676 "externalId": "string",
677 "id": 0,
678 "name": "string",
679 "code": "string"
680 },
681 "provinceCountryKey": "string"
682 },
683 "cityProvinceCountryKey": "string"
684 },
685 "district": {
686 "createdBy": "string",
687 "lastModifiedBy": "string",
688 "createdDate": "2019-08-24T14:15:22Z",
689 "lastModifiedDate": "2019-08-24T14:15:22Z",
690 "archived": true,
691 "externalId": "string",
692 "id": 0,
693 "name": "string",
694 "city": {
695 "createdBy": "string",
696 "lastModifiedBy": "string",
697 "createdDate": "2019-08-24T14:15:22Z",
698 "lastModifiedDate": "2019-08-24T14:15:22Z",
699 "archived": true,
700 "externalId": "string",
701 "id": 0,
702 "name": "string",
703 "province": {
704 "createdBy": "string",
705 "lastModifiedBy": "string",
706 "createdDate": "2019-08-24T14:15:22Z",
707 "lastModifiedDate": "2019-08-24T14:15:22Z",
708 "archived": true,
709 "externalId": "string",
710 "id": 0,
711 "name": "string",
712 "code": "string",
713 "country": {
714 "createdBy": "string",
715 "lastModifiedBy": "string",
716 "createdDate": "2019-08-24T14:15:22Z",
717 "lastModifiedDate": "2019-08-24T14:15:22Z",
718 "archived": true,
719 "externalId": "string",
720 "id": 0,
721 "name": "string",
722 "code": "string"
723 },
724 "provinceCountryKey": "string"
725 },
726 "cityProvinceCountryKey": "string"
727 }
728 },
729 "cityId": 0,
730 "districtId": 0
731 }
732 },
733 "status": {
734 "createdBy": "string",
735 "lastModifiedBy": "string",
736 "createdDate": "2019-08-24T14:15:22Z",
737 "lastModifiedDate": "2019-08-24T14:15:22Z",
738 "archived": true,
739 "externalId": "string",
740 "id": 0,
741 "priority": 0,
742 "internalId": 0,
743 "pickListCode": "string",
744 "pickListLabel": "string",
745 "label": "string",
746 "cultureId": 0,
747 "labelDtos": [
748 {
749 "createdBy": "string",
750 "lastModifiedBy": "string",
751 "createdDate": "2019-08-24T14:15:22Z",
752 "lastModifiedDate": "2019-08-24T14:15:22Z",
753 "archived": true,
754 "externalId": "string",
755 "id": 0,
756 "cultureId": 0,
757 "value": "string"
758 }
759 ]
760 },
761 "usage": {
762 "createdBy": "string",
763 "lastModifiedBy": "string",
764 "createdDate": "2019-08-24T14:15:22Z",
765 "lastModifiedDate": "2019-08-24T14:15:22Z",
766 "archived": true,
767 "externalId": "string",
768 "id": 0,
769 "priority": 0,
770 "internalId": 0,
771 "pickListCode": "string",
772 "pickListLabel": "string",
773 "label": "string",
774 "cultureId": 0,
775 "labelDtos": [
776 {
777 "createdBy": "string",
778 "lastModifiedBy": "string",
779 "createdDate": "2019-08-24T14:15:22Z",
780 "lastModifiedDate": "2019-08-24T14:15:22Z",
781 "archived": true,
782 "externalId": "string",
783 "id": 0,
784 "cultureId": 0,
785 "value": "string"
786 }
787 ]
788 },
789 "occupanciesDto": [
790 {
791 "createdBy": "string",
792 "lastModifiedBy": "string",
793 "createdDate": "2019-08-24T14:15:22Z",
794 "lastModifiedDate": "2019-08-24T14:15:22Z",
795 "archived": true,
796 "externalId": "string",
797 "id": 0,
798 "priority": 0,
799 "internalId": 0,
800 "pickListCode": "string",
801 "pickListLabel": "string",
802 "label": "string",
803 "cultureId": 0,
804 "labelDtos": [
805 {
806 "createdBy": "string",
807 "lastModifiedBy": "string",
808 "createdDate": "2019-08-24T14:15:22Z",
809 "lastModifiedDate": "2019-08-24T14:15:22Z",
810 "archived": true,
811 "externalId": "string",
812 "id": 0,
813 "cultureId": 0,
814 "value": "string"
815 }
816 ]
817 }
818 ]
819 },
820 "isTerminationVersion": true
821}
Lease - Update LeaseΒΆ
HTTP Request
PUT /api/leases/{id}
π Description: Updates the details of a specific lease within the Nakisa Portfolio Management Suite, enabling users to manage portfolio and asset information effectively in the context of real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated lease information, including terms, conditions, and associated asset details for effective portfolio management. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "typeId": 0,
10 "terminatingLease": "2019-08-24",
11 "maximumDateTo": "2019-08-24",
12 "number": "string",
13 "validFrom": "2019-08-24",
14 "validTo": "2019-08-24",
15 "categoryId": 0,
16 "registrationNumber": "string",
17 "statusId": 0,
18 "stateId": 0,
19 "calculateTax": true,
20 "autoMonthToMonth": true,
21 "originalLeaseId": 0,
22 "scenario": true,
23 "parentLeaseId": 0,
24 "areasHistoryVersionId": 0,
25 "provisioningFrequencyName": "string",
26 "accountingApproved": true,
27 "indexationType": "string",
28 "cpiGlobalCategoryId": 0,
29 "indexationReferenceDate": "2019-08-24",
30 "currentIndexLevel": 0.1,
31 "conditionallyIndexed": true,
32 "applicableCurrentIndexLevel": 0.1,
33 "indexLevelPercentageChangeLowerBound": 0.1,
34 "indexLevelPercentageChangeUpperBound": 0.1,
35 "indexationTypeNonLease": "string",
36 "cpiGlobalCategoryIdNonLease": 0,
37 "indexationReferenceDateNonLease": "2019-08-24",
38 "currentIndexLevelNonLease": 0.1,
39 "conditionallyIndexedNonLease": true,
40 "applicableCurrentIndexLevelNonLease": 0.1,
41 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
42 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
43 "signatureDate": "2019-08-24",
44 "premiseId": 0,
45 "type": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "category": {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "priority": 0,
82 "internalId": 0,
83 "pickListCode": "string",
84 "pickListLabel": "string",
85 "label": "string",
86 "cultureId": 0,
87 "labelDtos": [
88 {
89 "createdBy": "string",
90 "lastModifiedBy": "string",
91 "createdDate": "2019-08-24T14:15:22Z",
92 "lastModifiedDate": "2019-08-24T14:15:22Z",
93 "archived": true,
94 "externalId": "string",
95 "id": 0,
96 "cultureId": 0,
97 "value": "string"
98 }
99 ]
100 },
101 "status": {
102 "createdBy": "string",
103 "lastModifiedBy": "string",
104 "createdDate": "2019-08-24T14:15:22Z",
105 "lastModifiedDate": "2019-08-24T14:15:22Z",
106 "archived": true,
107 "externalId": "string",
108 "id": 0,
109 "priority": 0,
110 "internalId": 0,
111 "pickListCode": "string",
112 "pickListLabel": "string",
113 "label": "string",
114 "cultureId": 0,
115 "labelDtos": [
116 {
117 "createdBy": "string",
118 "lastModifiedBy": "string",
119 "createdDate": "2019-08-24T14:15:22Z",
120 "lastModifiedDate": "2019-08-24T14:15:22Z",
121 "archived": true,
122 "externalId": "string",
123 "id": 0,
124 "cultureId": 0,
125 "value": "string"
126 }
127 ]
128 },
129 "state": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "priority": 0,
138 "internalId": 0,
139 "pickListCode": "string",
140 "pickListLabel": "string",
141 "label": "string",
142 "cultureId": 0,
143 "labelDtos": [
144 {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "cultureId": 0,
153 "value": "string"
154 }
155 ]
156 },
157 "version": {
158 "createdBy": "string",
159 "lastModifiedBy": "string",
160 "createdDate": "2019-08-24T14:15:22Z",
161 "lastModifiedDate": "2019-08-24T14:15:22Z",
162 "archived": true,
163 "externalId": "string",
164 "id": 0,
165 "name": "string",
166 "description": "string",
167 "modificationDate": "2019-08-24",
168 "updateContractRate": true,
169 "leaseEvent": {
170 "createdBy": "string",
171 "lastModifiedBy": "string",
172 "createdDate": "2019-08-24T14:15:22Z",
173 "lastModifiedDate": "2019-08-24T14:15:22Z",
174 "archived": true,
175 "externalId": "string",
176 "id": 0,
177 "typeId": 0,
178 "code": "string",
179 "reviewedBy": "string",
180 "reviewedDate": "2019-08-24",
181 "reviewedStatusId": 0,
182 "activityDate": "2019-08-24",
183 "relatedPickListOptionId": 0,
184 "detail": "string",
185 "note": {
186 "createdBy": "string",
187 "lastModifiedBy": "string",
188 "createdDate": "2019-08-24T14:15:22Z",
189 "lastModifiedDate": "2019-08-24T14:15:22Z",
190 "archived": true,
191 "externalId": "string",
192 "id": 0,
193 "message": "string",
194 "preserveOriginalAudit": true,
195 "originalCreatedBy": "string",
196 "originalCreatedDate": "2019-08-24T14:15:22Z",
197 "originalLastModifiedBy": "string",
198 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
199 },
200 "type": {
201 "createdBy": "string",
202 "lastModifiedBy": "string",
203 "createdDate": "2019-08-24T14:15:22Z",
204 "lastModifiedDate": "2019-08-24T14:15:22Z",
205 "archived": true,
206 "externalId": "string",
207 "id": 0,
208 "priority": 0,
209 "internalId": 0,
210 "pickListCode": "string",
211 "pickListLabel": "string",
212 "label": "string",
213 "cultureId": 0,
214 "labelDtos": [
215 {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "cultureId": 0,
224 "value": "string"
225 }
226 ]
227 },
228 "reviewedStatus": {
229 "createdBy": "string",
230 "lastModifiedBy": "string",
231 "createdDate": "2019-08-24T14:15:22Z",
232 "lastModifiedDate": "2019-08-24T14:15:22Z",
233 "archived": true,
234 "externalId": "string",
235 "id": 0,
236 "priority": 0,
237 "internalId": 0,
238 "pickListCode": "string",
239 "pickListLabel": "string",
240 "label": "string",
241 "cultureId": 0,
242 "labelDtos": [
243 {
244 "createdBy": "string",
245 "lastModifiedBy": "string",
246 "createdDate": "2019-08-24T14:15:22Z",
247 "lastModifiedDate": "2019-08-24T14:15:22Z",
248 "archived": true,
249 "externalId": "string",
250 "id": 0,
251 "cultureId": 0,
252 "value": "string"
253 }
254 ]
255 },
256 "relatedPickListOption": {
257 "createdBy": "string",
258 "lastModifiedBy": "string",
259 "createdDate": "2019-08-24T14:15:22Z",
260 "lastModifiedDate": "2019-08-24T14:15:22Z",
261 "archived": true,
262 "externalId": "string",
263 "id": 0,
264 "priority": 0,
265 "internalId": 0,
266 "pickListCode": "string",
267 "pickListLabel": "string",
268 "label": "string",
269 "cultureId": 0,
270 "labelDtos": [
271 {
272 "createdBy": "string",
273 "lastModifiedBy": "string",
274 "createdDate": "2019-08-24T14:15:22Z",
275 "lastModifiedDate": "2019-08-24T14:15:22Z",
276 "archived": true,
277 "externalId": "string",
278 "id": 0,
279 "cultureId": 0,
280 "value": "string"
281 }
282 ]
283 },
284 "isVisiblePartnerPortal": true
285 },
286 "scenario": true,
287 "isVisibleVendorPortal": true,
288 "isTerminationVersion": true,
289 "terminationDate": "2019-08-24",
290 "penaltyAmount": 0.1,
291 "areasHistoryVersionId": 0
292 },
293 "premiseDto": {
294 "createdBy": "string",
295 "lastModifiedBy": "string",
296 "createdDate": "2019-08-24T14:15:22Z",
297 "lastModifiedDate": "2019-08-24T14:15:22Z",
298 "archived": true,
299 "externalId": "string",
300 "id": 0,
301 "number": "string",
302 "name": "string",
303 "headPremise": true,
304 "possessionDate": "2019-08-24",
305 "openingDate": "2019-08-24",
306 "closingDate": "2019-08-24",
307 "relocationDate": "2019-08-24",
308 "vacatingDate": "2019-08-24",
309 "expansionDate": "2019-08-24",
310 "statusId": 0,
311 "usageId": 0,
312 "parentPremiseId": 0,
313 "costCenterId": 0,
314 "profitCenterId": 0,
315 "legalEntityId": 0,
316 "occupancyIds": [
317 0
318 ],
319 "locationId": 0,
320 "locationDto": {
321 "createdBy": "string",
322 "lastModifiedBy": "string",
323 "createdDate": "2019-08-24T14:15:22Z",
324 "lastModifiedDate": "2019-08-24T14:15:22Z",
325 "archived": true,
326 "externalId": "string",
327 "id": 0,
328 "number": "string",
329 "name": "string",
330 "storeNumber": "string",
331 "defaultCurrencyId": 0,
332 "defaultMeasureId": 0,
333 "typeId": 0,
334 "qualityId": 0,
335 "propertyTypeId": 0,
336 "categoryId": 0,
337 "statusId": 0,
338 "businessUnitId": 0,
339 "groupIds": [
340 0
341 ],
342 "legalEntityIds": [
343 0
344 ],
345 "defaultCurrency": {
346 "id": 0,
347 "status": "CREATED",
348 "displayId": "string",
349 "erpSystemId": 0,
350 "erpSystemDisplayId": "string",
351 "name": "string",
352 "decimalPoints": 0,
353 "depreciationAreaId": 0
354 },
355 "defaultUnitValue": {
356 "createdBy": "string",
357 "lastModifiedBy": "string",
358 "createdDate": "2019-08-24T14:15:22Z",
359 "lastModifiedDate": "2019-08-24T14:15:22Z",
360 "archived": true,
361 "externalId": "string",
362 "id": 0,
363 "unitId": 0,
364 "unitOfMeasureId": 0,
365 "erpSystemId": 0,
366 "unit": {
367 "createdBy": "string",
368 "lastModifiedBy": "string",
369 "createdDate": "2019-08-24T14:15:22Z",
370 "lastModifiedDate": "2019-08-24T14:15:22Z",
371 "archived": true,
372 "externalId": "string",
373 "id": 0,
374 "priority": 0,
375 "internalId": 0,
376 "pickListCode": "string",
377 "pickListLabel": "string",
378 "label": "string",
379 "cultureId": 0,
380 "labelDtos": [
381 {
382 "createdBy": "string",
383 "lastModifiedBy": "string",
384 "createdDate": "2019-08-24T14:15:22Z",
385 "lastModifiedDate": "2019-08-24T14:15:22Z",
386 "archived": true,
387 "externalId": "string",
388 "id": 0,
389 "cultureId": 0,
390 "value": "string"
391 }
392 ]
393 },
394 "unitOfMeasure": {
395 "id": 0,
396 "status": "CREATED",
397 "displayId": "string",
398 "erpSystemId": 0,
399 "erpSystemDisplayId": "string",
400 "name": "string"
401 }
402 },
403 "type": {
404 "createdBy": "string",
405 "lastModifiedBy": "string",
406 "createdDate": "2019-08-24T14:15:22Z",
407 "lastModifiedDate": "2019-08-24T14:15:22Z",
408 "archived": true,
409 "externalId": "string",
410 "id": 0,
411 "priority": 0,
412 "internalId": 0,
413 "pickListCode": "string",
414 "pickListLabel": "string",
415 "label": "string",
416 "cultureId": 0,
417 "labelDtos": [
418 {
419 "createdBy": "string",
420 "lastModifiedBy": "string",
421 "createdDate": "2019-08-24T14:15:22Z",
422 "lastModifiedDate": "2019-08-24T14:15:22Z",
423 "archived": true,
424 "externalId": "string",
425 "id": 0,
426 "cultureId": 0,
427 "value": "string"
428 }
429 ]
430 },
431 "quality": {
432 "createdBy": "string",
433 "lastModifiedBy": "string",
434 "createdDate": "2019-08-24T14:15:22Z",
435 "lastModifiedDate": "2019-08-24T14:15:22Z",
436 "archived": true,
437 "externalId": "string",
438 "id": 0,
439 "priority": 0,
440 "internalId": 0,
441 "pickListCode": "string",
442 "pickListLabel": "string",
443 "label": "string",
444 "cultureId": 0,
445 "labelDtos": [
446 {
447 "createdBy": "string",
448 "lastModifiedBy": "string",
449 "createdDate": "2019-08-24T14:15:22Z",
450 "lastModifiedDate": "2019-08-24T14:15:22Z",
451 "archived": true,
452 "externalId": "string",
453 "id": 0,
454 "cultureId": 0,
455 "value": "string"
456 }
457 ]
458 },
459 "propertyType": {
460 "createdBy": "string",
461 "lastModifiedBy": "string",
462 "createdDate": "2019-08-24T14:15:22Z",
463 "lastModifiedDate": "2019-08-24T14:15:22Z",
464 "archived": true,
465 "externalId": "string",
466 "id": 0,
467 "priority": 0,
468 "internalId": 0,
469 "pickListCode": "string",
470 "pickListLabel": "string",
471 "label": "string",
472 "cultureId": 0,
473 "labelDtos": [
474 {
475 "createdBy": "string",
476 "lastModifiedBy": "string",
477 "createdDate": "2019-08-24T14:15:22Z",
478 "lastModifiedDate": "2019-08-24T14:15:22Z",
479 "archived": true,
480 "externalId": "string",
481 "id": 0,
482 "cultureId": 0,
483 "value": "string"
484 }
485 ]
486 },
487 "category": {
488 "createdBy": "string",
489 "lastModifiedBy": "string",
490 "createdDate": "2019-08-24T14:15:22Z",
491 "lastModifiedDate": "2019-08-24T14:15:22Z",
492 "archived": true,
493 "externalId": "string",
494 "id": 0,
495 "priority": 0,
496 "internalId": 0,
497 "pickListCode": "string",
498 "pickListLabel": "string",
499 "label": "string",
500 "cultureId": 0,
501 "labelDtos": [
502 {
503 "createdBy": "string",
504 "lastModifiedBy": "string",
505 "createdDate": "2019-08-24T14:15:22Z",
506 "lastModifiedDate": "2019-08-24T14:15:22Z",
507 "archived": true,
508 "externalId": "string",
509 "id": 0,
510 "cultureId": 0,
511 "value": "string"
512 }
513 ]
514 },
515 "status": {
516 "createdBy": "string",
517 "lastModifiedBy": "string",
518 "createdDate": "2019-08-24T14:15:22Z",
519 "lastModifiedDate": "2019-08-24T14:15:22Z",
520 "archived": true,
521 "externalId": "string",
522 "id": 0,
523 "priority": 0,
524 "internalId": 0,
525 "pickListCode": "string",
526 "pickListLabel": "string",
527 "label": "string",
528 "cultureId": 0,
529 "labelDtos": [
530 {
531 "createdBy": "string",
532 "lastModifiedBy": "string",
533 "createdDate": "2019-08-24T14:15:22Z",
534 "lastModifiedDate": "2019-08-24T14:15:22Z",
535 "archived": true,
536 "externalId": "string",
537 "id": 0,
538 "cultureId": 0,
539 "value": "string"
540 }
541 ]
542 },
543 "addressDto": {
544 "createdBy": "string",
545 "lastModifiedBy": "string",
546 "createdDate": "2019-08-24T14:15:22Z",
547 "lastModifiedDate": "2019-08-24T14:15:22Z",
548 "archived": true,
549 "externalId": "string",
550 "id": 0,
551 "street": "string",
552 "civicNumber": "string",
553 "suite": "string",
554 "postalCode": "string",
555 "lon": 0.1,
556 "lat": 0.1,
557 "city": {
558 "createdBy": "string",
559 "lastModifiedBy": "string",
560 "createdDate": "2019-08-24T14:15:22Z",
561 "lastModifiedDate": "2019-08-24T14:15:22Z",
562 "archived": true,
563 "externalId": "string",
564 "id": 0,
565 "name": "string",
566 "province": {
567 "createdBy": "string",
568 "lastModifiedBy": "string",
569 "createdDate": "2019-08-24T14:15:22Z",
570 "lastModifiedDate": "2019-08-24T14:15:22Z",
571 "archived": true,
572 "externalId": "string",
573 "id": 0,
574 "name": "string",
575 "code": "string",
576 "country": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "name": "string",
585 "code": "string"
586 },
587 "provinceCountryKey": "string"
588 },
589 "cityProvinceCountryKey": "string"
590 },
591 "district": {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "name": "string",
600 "city": {
601 "createdBy": "string",
602 "lastModifiedBy": "string",
603 "createdDate": "2019-08-24T14:15:22Z",
604 "lastModifiedDate": "2019-08-24T14:15:22Z",
605 "archived": true,
606 "externalId": "string",
607 "id": 0,
608 "name": "string",
609 "province": {
610 "createdBy": "string",
611 "lastModifiedBy": "string",
612 "createdDate": "2019-08-24T14:15:22Z",
613 "lastModifiedDate": "2019-08-24T14:15:22Z",
614 "archived": true,
615 "externalId": "string",
616 "id": 0,
617 "name": "string",
618 "code": "string",
619 "country": {
620 "createdBy": "string",
621 "lastModifiedBy": "string",
622 "createdDate": "2019-08-24T14:15:22Z",
623 "lastModifiedDate": "2019-08-24T14:15:22Z",
624 "archived": true,
625 "externalId": "string",
626 "id": 0,
627 "name": "string",
628 "code": "string"
629 },
630 "provinceCountryKey": "string"
631 },
632 "cityProvinceCountryKey": "string"
633 }
634 },
635 "cityId": 0,
636 "districtId": 0
637 },
638 "secondAddressDto": {
639 "createdBy": "string",
640 "lastModifiedBy": "string",
641 "createdDate": "2019-08-24T14:15:22Z",
642 "lastModifiedDate": "2019-08-24T14:15:22Z",
643 "archived": true,
644 "externalId": "string",
645 "id": 0,
646 "street": "string",
647 "civicNumber": "string",
648 "suite": "string",
649 "postalCode": "string",
650 "lon": 0.1,
651 "lat": 0.1,
652 "city": {
653 "createdBy": "string",
654 "lastModifiedBy": "string",
655 "createdDate": "2019-08-24T14:15:22Z",
656 "lastModifiedDate": "2019-08-24T14:15:22Z",
657 "archived": true,
658 "externalId": "string",
659 "id": 0,
660 "name": "string",
661 "province": {
662 "createdBy": "string",
663 "lastModifiedBy": "string",
664 "createdDate": "2019-08-24T14:15:22Z",
665 "lastModifiedDate": "2019-08-24T14:15:22Z",
666 "archived": true,
667 "externalId": "string",
668 "id": 0,
669 "name": "string",
670 "code": "string",
671 "country": {
672 "createdBy": "string",
673 "lastModifiedBy": "string",
674 "createdDate": "2019-08-24T14:15:22Z",
675 "lastModifiedDate": "2019-08-24T14:15:22Z",
676 "archived": true,
677 "externalId": "string",
678 "id": 0,
679 "name": "string",
680 "code": "string"
681 },
682 "provinceCountryKey": "string"
683 },
684 "cityProvinceCountryKey": "string"
685 },
686 "district": {
687 "createdBy": "string",
688 "lastModifiedBy": "string",
689 "createdDate": "2019-08-24T14:15:22Z",
690 "lastModifiedDate": "2019-08-24T14:15:22Z",
691 "archived": true,
692 "externalId": "string",
693 "id": 0,
694 "name": "string",
695 "city": {
696 "createdBy": "string",
697 "lastModifiedBy": "string",
698 "createdDate": "2019-08-24T14:15:22Z",
699 "lastModifiedDate": "2019-08-24T14:15:22Z",
700 "archived": true,
701 "externalId": "string",
702 "id": 0,
703 "name": "string",
704 "province": {
705 "createdBy": "string",
706 "lastModifiedBy": "string",
707 "createdDate": "2019-08-24T14:15:22Z",
708 "lastModifiedDate": "2019-08-24T14:15:22Z",
709 "archived": true,
710 "externalId": "string",
711 "id": 0,
712 "name": "string",
713 "code": "string",
714 "country": {
715 "createdBy": "string",
716 "lastModifiedBy": "string",
717 "createdDate": "2019-08-24T14:15:22Z",
718 "lastModifiedDate": "2019-08-24T14:15:22Z",
719 "archived": true,
720 "externalId": "string",
721 "id": 0,
722 "name": "string",
723 "code": "string"
724 },
725 "provinceCountryKey": "string"
726 },
727 "cityProvinceCountryKey": "string"
728 }
729 },
730 "cityId": 0,
731 "districtId": 0
732 }
733 },
734 "status": {
735 "createdBy": "string",
736 "lastModifiedBy": "string",
737 "createdDate": "2019-08-24T14:15:22Z",
738 "lastModifiedDate": "2019-08-24T14:15:22Z",
739 "archived": true,
740 "externalId": "string",
741 "id": 0,
742 "priority": 0,
743 "internalId": 0,
744 "pickListCode": "string",
745 "pickListLabel": "string",
746 "label": "string",
747 "cultureId": 0,
748 "labelDtos": [
749 {
750 "createdBy": "string",
751 "lastModifiedBy": "string",
752 "createdDate": "2019-08-24T14:15:22Z",
753 "lastModifiedDate": "2019-08-24T14:15:22Z",
754 "archived": true,
755 "externalId": "string",
756 "id": 0,
757 "cultureId": 0,
758 "value": "string"
759 }
760 ]
761 },
762 "usage": {
763 "createdBy": "string",
764 "lastModifiedBy": "string",
765 "createdDate": "2019-08-24T14:15:22Z",
766 "lastModifiedDate": "2019-08-24T14:15:22Z",
767 "archived": true,
768 "externalId": "string",
769 "id": 0,
770 "priority": 0,
771 "internalId": 0,
772 "pickListCode": "string",
773 "pickListLabel": "string",
774 "label": "string",
775 "cultureId": 0,
776 "labelDtos": [
777 {
778 "createdBy": "string",
779 "lastModifiedBy": "string",
780 "createdDate": "2019-08-24T14:15:22Z",
781 "lastModifiedDate": "2019-08-24T14:15:22Z",
782 "archived": true,
783 "externalId": "string",
784 "id": 0,
785 "cultureId": 0,
786 "value": "string"
787 }
788 ]
789 },
790 "occupanciesDto": [
791 {
792 "createdBy": "string",
793 "lastModifiedBy": "string",
794 "createdDate": "2019-08-24T14:15:22Z",
795 "lastModifiedDate": "2019-08-24T14:15:22Z",
796 "archived": true,
797 "externalId": "string",
798 "id": 0,
799 "priority": 0,
800 "internalId": 0,
801 "pickListCode": "string",
802 "pickListLabel": "string",
803 "label": "string",
804 "cultureId": 0,
805 "labelDtos": [
806 {
807 "createdBy": "string",
808 "lastModifiedBy": "string",
809 "createdDate": "2019-08-24T14:15:22Z",
810 "lastModifiedDate": "2019-08-24T14:15:22Z",
811 "archived": true,
812 "externalId": "string",
813 "id": 0,
814 "cultureId": 0,
815 "value": "string"
816 }
817 ]
818 }
819 ]
820 },
821 "isTerminationVersion": true
822}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "typeId": 0,
10 "terminatingLease": "2019-08-24",
11 "maximumDateTo": "2019-08-24",
12 "number": "string",
13 "validFrom": "2019-08-24",
14 "validTo": "2019-08-24",
15 "categoryId": 0,
16 "registrationNumber": "string",
17 "statusId": 0,
18 "stateId": 0,
19 "calculateTax": true,
20 "autoMonthToMonth": true,
21 "originalLeaseId": 0,
22 "scenario": true,
23 "parentLeaseId": 0,
24 "areasHistoryVersionId": 0,
25 "provisioningFrequencyName": "string",
26 "accountingApproved": true,
27 "indexationType": "string",
28 "cpiGlobalCategoryId": 0,
29 "indexationReferenceDate": "2019-08-24",
30 "currentIndexLevel": 0.1,
31 "conditionallyIndexed": true,
32 "applicableCurrentIndexLevel": 0.1,
33 "indexLevelPercentageChangeLowerBound": 0.1,
34 "indexLevelPercentageChangeUpperBound": 0.1,
35 "indexationTypeNonLease": "string",
36 "cpiGlobalCategoryIdNonLease": 0,
37 "indexationReferenceDateNonLease": "2019-08-24",
38 "currentIndexLevelNonLease": 0.1,
39 "conditionallyIndexedNonLease": true,
40 "applicableCurrentIndexLevelNonLease": 0.1,
41 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
42 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
43 "signatureDate": "2019-08-24",
44 "premiseId": 0,
45 "type": {
46 "createdBy": "string",
47 "lastModifiedBy": "string",
48 "createdDate": "2019-08-24T14:15:22Z",
49 "lastModifiedDate": "2019-08-24T14:15:22Z",
50 "archived": true,
51 "externalId": "string",
52 "id": 0,
53 "priority": 0,
54 "internalId": 0,
55 "pickListCode": "string",
56 "pickListLabel": "string",
57 "label": "string",
58 "cultureId": 0,
59 "labelDtos": [
60 {
61 "createdBy": "string",
62 "lastModifiedBy": "string",
63 "createdDate": "2019-08-24T14:15:22Z",
64 "lastModifiedDate": "2019-08-24T14:15:22Z",
65 "archived": true,
66 "externalId": "string",
67 "id": 0,
68 "cultureId": 0,
69 "value": "string"
70 }
71 ]
72 },
73 "category": {
74 "createdBy": "string",
75 "lastModifiedBy": "string",
76 "createdDate": "2019-08-24T14:15:22Z",
77 "lastModifiedDate": "2019-08-24T14:15:22Z",
78 "archived": true,
79 "externalId": "string",
80 "id": 0,
81 "priority": 0,
82 "internalId": 0,
83 "pickListCode": "string",
84 "pickListLabel": "string",
85 "label": "string",
86 "cultureId": 0,
87 "labelDtos": [
88 {
89 "createdBy": "string",
90 "lastModifiedBy": "string",
91 "createdDate": "2019-08-24T14:15:22Z",
92 "lastModifiedDate": "2019-08-24T14:15:22Z",
93 "archived": true,
94 "externalId": "string",
95 "id": 0,
96 "cultureId": 0,
97 "value": "string"
98 }
99 ]
100 },
101 "status": {
102 "createdBy": "string",
103 "lastModifiedBy": "string",
104 "createdDate": "2019-08-24T14:15:22Z",
105 "lastModifiedDate": "2019-08-24T14:15:22Z",
106 "archived": true,
107 "externalId": "string",
108 "id": 0,
109 "priority": 0,
110 "internalId": 0,
111 "pickListCode": "string",
112 "pickListLabel": "string",
113 "label": "string",
114 "cultureId": 0,
115 "labelDtos": [
116 {
117 "createdBy": "string",
118 "lastModifiedBy": "string",
119 "createdDate": "2019-08-24T14:15:22Z",
120 "lastModifiedDate": "2019-08-24T14:15:22Z",
121 "archived": true,
122 "externalId": "string",
123 "id": 0,
124 "cultureId": 0,
125 "value": "string"
126 }
127 ]
128 },
129 "state": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "priority": 0,
138 "internalId": 0,
139 "pickListCode": "string",
140 "pickListLabel": "string",
141 "label": "string",
142 "cultureId": 0,
143 "labelDtos": [
144 {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "cultureId": 0,
153 "value": "string"
154 }
155 ]
156 },
157 "version": {
158 "createdBy": "string",
159 "lastModifiedBy": "string",
160 "createdDate": "2019-08-24T14:15:22Z",
161 "lastModifiedDate": "2019-08-24T14:15:22Z",
162 "archived": true,
163 "externalId": "string",
164 "id": 0,
165 "name": "string",
166 "description": "string",
167 "modificationDate": "2019-08-24",
168 "updateContractRate": true,
169 "leaseEvent": {
170 "createdBy": "string",
171 "lastModifiedBy": "string",
172 "createdDate": "2019-08-24T14:15:22Z",
173 "lastModifiedDate": "2019-08-24T14:15:22Z",
174 "archived": true,
175 "externalId": "string",
176 "id": 0,
177 "typeId": 0,
178 "code": "string",
179 "reviewedBy": "string",
180 "reviewedDate": "2019-08-24",
181 "reviewedStatusId": 0,
182 "activityDate": "2019-08-24",
183 "relatedPickListOptionId": 0,
184 "detail": "string",
185 "note": {
186 "createdBy": "string",
187 "lastModifiedBy": "string",
188 "createdDate": "2019-08-24T14:15:22Z",
189 "lastModifiedDate": "2019-08-24T14:15:22Z",
190 "archived": true,
191 "externalId": "string",
192 "id": 0,
193 "message": "string",
194 "preserveOriginalAudit": true,
195 "originalCreatedBy": "string",
196 "originalCreatedDate": "2019-08-24T14:15:22Z",
197 "originalLastModifiedBy": "string",
198 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
199 },
200 "type": {
201 "createdBy": "string",
202 "lastModifiedBy": "string",
203 "createdDate": "2019-08-24T14:15:22Z",
204 "lastModifiedDate": "2019-08-24T14:15:22Z",
205 "archived": true,
206 "externalId": "string",
207 "id": 0,
208 "priority": 0,
209 "internalId": 0,
210 "pickListCode": "string",
211 "pickListLabel": "string",
212 "label": "string",
213 "cultureId": 0,
214 "labelDtos": [
215 {
216 "createdBy": "string",
217 "lastModifiedBy": "string",
218 "createdDate": "2019-08-24T14:15:22Z",
219 "lastModifiedDate": "2019-08-24T14:15:22Z",
220 "archived": true,
221 "externalId": "string",
222 "id": 0,
223 "cultureId": 0,
224 "value": "string"
225 }
226 ]
227 },
228 "reviewedStatus": {
229 "createdBy": "string",
230 "lastModifiedBy": "string",
231 "createdDate": "2019-08-24T14:15:22Z",
232 "lastModifiedDate": "2019-08-24T14:15:22Z",
233 "archived": true,
234 "externalId": "string",
235 "id": 0,
236 "priority": 0,
237 "internalId": 0,
238 "pickListCode": "string",
239 "pickListLabel": "string",
240 "label": "string",
241 "cultureId": 0,
242 "labelDtos": [
243 {
244 "createdBy": "string",
245 "lastModifiedBy": "string",
246 "createdDate": "2019-08-24T14:15:22Z",
247 "lastModifiedDate": "2019-08-24T14:15:22Z",
248 "archived": true,
249 "externalId": "string",
250 "id": 0,
251 "cultureId": 0,
252 "value": "string"
253 }
254 ]
255 },
256 "relatedPickListOption": {
257 "createdBy": "string",
258 "lastModifiedBy": "string",
259 "createdDate": "2019-08-24T14:15:22Z",
260 "lastModifiedDate": "2019-08-24T14:15:22Z",
261 "archived": true,
262 "externalId": "string",
263 "id": 0,
264 "priority": 0,
265 "internalId": 0,
266 "pickListCode": "string",
267 "pickListLabel": "string",
268 "label": "string",
269 "cultureId": 0,
270 "labelDtos": [
271 {
272 "createdBy": "string",
273 "lastModifiedBy": "string",
274 "createdDate": "2019-08-24T14:15:22Z",
275 "lastModifiedDate": "2019-08-24T14:15:22Z",
276 "archived": true,
277 "externalId": "string",
278 "id": 0,
279 "cultureId": 0,
280 "value": "string"
281 }
282 ]
283 },
284 "isVisiblePartnerPortal": true
285 },
286 "isVisibleVendorPortal": true,
287 "isTerminationVersion": true,
288 "terminationDate": "2019-08-24",
289 "penaltyAmount": 0.1,
290 "areasHistoryVersionId": 0
291 },
292 "premiseDto": {
293 "createdBy": "string",
294 "lastModifiedBy": "string",
295 "createdDate": "2019-08-24T14:15:22Z",
296 "lastModifiedDate": "2019-08-24T14:15:22Z",
297 "archived": true,
298 "externalId": "string",
299 "id": 0,
300 "number": "string",
301 "name": "string",
302 "headPremise": true,
303 "possessionDate": "2019-08-24",
304 "openingDate": "2019-08-24",
305 "closingDate": "2019-08-24",
306 "relocationDate": "2019-08-24",
307 "vacatingDate": "2019-08-24",
308 "expansionDate": "2019-08-24",
309 "statusId": 0,
310 "usageId": 0,
311 "parentPremiseId": 0,
312 "costCenterId": 0,
313 "profitCenterId": 0,
314 "legalEntityId": 0,
315 "occupancyIds": [
316 0
317 ],
318 "locationId": 0,
319 "locationDto": {
320 "createdBy": "string",
321 "lastModifiedBy": "string",
322 "createdDate": "2019-08-24T14:15:22Z",
323 "lastModifiedDate": "2019-08-24T14:15:22Z",
324 "archived": true,
325 "externalId": "string",
326 "id": 0,
327 "number": "string",
328 "name": "string",
329 "storeNumber": "string",
330 "defaultCurrencyId": 0,
331 "defaultMeasureId": 0,
332 "typeId": 0,
333 "qualityId": 0,
334 "propertyTypeId": 0,
335 "categoryId": 0,
336 "statusId": 0,
337 "businessUnitId": 0,
338 "groupIds": [
339 0
340 ],
341 "legalEntityIds": [
342 0
343 ],
344 "defaultCurrency": {
345 "id": 0,
346 "status": "CREATED",
347 "displayId": "string",
348 "erpSystemId": 0,
349 "erpSystemDisplayId": "string",
350 "name": "string",
351 "decimalPoints": 0,
352 "depreciationAreaId": 0
353 },
354 "defaultUnitValue": {
355 "createdBy": "string",
356 "lastModifiedBy": "string",
357 "createdDate": "2019-08-24T14:15:22Z",
358 "lastModifiedDate": "2019-08-24T14:15:22Z",
359 "archived": true,
360 "externalId": "string",
361 "id": 0,
362 "unitId": 0,
363 "unitOfMeasureId": 0,
364 "erpSystemId": 0,
365 "unit": {
366 "createdBy": "string",
367 "lastModifiedBy": "string",
368 "createdDate": "2019-08-24T14:15:22Z",
369 "lastModifiedDate": "2019-08-24T14:15:22Z",
370 "archived": true,
371 "externalId": "string",
372 "id": 0,
373 "priority": 0,
374 "internalId": 0,
375 "pickListCode": "string",
376 "pickListLabel": "string",
377 "label": "string",
378 "cultureId": 0,
379 "labelDtos": [
380 {
381 "createdBy": "string",
382 "lastModifiedBy": "string",
383 "createdDate": "2019-08-24T14:15:22Z",
384 "lastModifiedDate": "2019-08-24T14:15:22Z",
385 "archived": true,
386 "externalId": "string",
387 "id": 0,
388 "cultureId": 0,
389 "value": "string"
390 }
391 ]
392 },
393 "unitOfMeasure": {
394 "id": 0,
395 "status": "CREATED",
396 "displayId": "string",
397 "erpSystemId": 0,
398 "erpSystemDisplayId": "string",
399 "name": "string"
400 }
401 },
402 "type": {
403 "createdBy": "string",
404 "lastModifiedBy": "string",
405 "createdDate": "2019-08-24T14:15:22Z",
406 "lastModifiedDate": "2019-08-24T14:15:22Z",
407 "archived": true,
408 "externalId": "string",
409 "id": 0,
410 "priority": 0,
411 "internalId": 0,
412 "pickListCode": "string",
413 "pickListLabel": "string",
414 "label": "string",
415 "cultureId": 0,
416 "labelDtos": [
417 {
418 "createdBy": "string",
419 "lastModifiedBy": "string",
420 "createdDate": "2019-08-24T14:15:22Z",
421 "lastModifiedDate": "2019-08-24T14:15:22Z",
422 "archived": true,
423 "externalId": "string",
424 "id": 0,
425 "cultureId": 0,
426 "value": "string"
427 }
428 ]
429 },
430 "quality": {
431 "createdBy": "string",
432 "lastModifiedBy": "string",
433 "createdDate": "2019-08-24T14:15:22Z",
434 "lastModifiedDate": "2019-08-24T14:15:22Z",
435 "archived": true,
436 "externalId": "string",
437 "id": 0,
438 "priority": 0,
439 "internalId": 0,
440 "pickListCode": "string",
441 "pickListLabel": "string",
442 "label": "string",
443 "cultureId": 0,
444 "labelDtos": [
445 {
446 "createdBy": "string",
447 "lastModifiedBy": "string",
448 "createdDate": "2019-08-24T14:15:22Z",
449 "lastModifiedDate": "2019-08-24T14:15:22Z",
450 "archived": true,
451 "externalId": "string",
452 "id": 0,
453 "cultureId": 0,
454 "value": "string"
455 }
456 ]
457 },
458 "propertyType": {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "priority": 0,
467 "internalId": 0,
468 "pickListCode": "string",
469 "pickListLabel": "string",
470 "label": "string",
471 "cultureId": 0,
472 "labelDtos": [
473 {
474 "createdBy": "string",
475 "lastModifiedBy": "string",
476 "createdDate": "2019-08-24T14:15:22Z",
477 "lastModifiedDate": "2019-08-24T14:15:22Z",
478 "archived": true,
479 "externalId": "string",
480 "id": 0,
481 "cultureId": 0,
482 "value": "string"
483 }
484 ]
485 },
486 "category": {
487 "createdBy": "string",
488 "lastModifiedBy": "string",
489 "createdDate": "2019-08-24T14:15:22Z",
490 "lastModifiedDate": "2019-08-24T14:15:22Z",
491 "archived": true,
492 "externalId": "string",
493 "id": 0,
494 "priority": 0,
495 "internalId": 0,
496 "pickListCode": "string",
497 "pickListLabel": "string",
498 "label": "string",
499 "cultureId": 0,
500 "labelDtos": [
501 {
502 "createdBy": "string",
503 "lastModifiedBy": "string",
504 "createdDate": "2019-08-24T14:15:22Z",
505 "lastModifiedDate": "2019-08-24T14:15:22Z",
506 "archived": true,
507 "externalId": "string",
508 "id": 0,
509 "cultureId": 0,
510 "value": "string"
511 }
512 ]
513 },
514 "status": {
515 "createdBy": "string",
516 "lastModifiedBy": "string",
517 "createdDate": "2019-08-24T14:15:22Z",
518 "lastModifiedDate": "2019-08-24T14:15:22Z",
519 "archived": true,
520 "externalId": "string",
521 "id": 0,
522 "priority": 0,
523 "internalId": 0,
524 "pickListCode": "string",
525 "pickListLabel": "string",
526 "label": "string",
527 "cultureId": 0,
528 "labelDtos": [
529 {
530 "createdBy": "string",
531 "lastModifiedBy": "string",
532 "createdDate": "2019-08-24T14:15:22Z",
533 "lastModifiedDate": "2019-08-24T14:15:22Z",
534 "archived": true,
535 "externalId": "string",
536 "id": 0,
537 "cultureId": 0,
538 "value": "string"
539 }
540 ]
541 },
542 "addressDto": {
543 "createdBy": "string",
544 "lastModifiedBy": "string",
545 "createdDate": "2019-08-24T14:15:22Z",
546 "lastModifiedDate": "2019-08-24T14:15:22Z",
547 "archived": true,
548 "externalId": "string",
549 "id": 0,
550 "street": "string",
551 "civicNumber": "string",
552 "suite": "string",
553 "postalCode": "string",
554 "lon": 0.1,
555 "lat": 0.1,
556 "city": {
557 "createdBy": "string",
558 "lastModifiedBy": "string",
559 "createdDate": "2019-08-24T14:15:22Z",
560 "lastModifiedDate": "2019-08-24T14:15:22Z",
561 "archived": true,
562 "externalId": "string",
563 "id": 0,
564 "name": "string",
565 "province": {
566 "createdBy": "string",
567 "lastModifiedBy": "string",
568 "createdDate": "2019-08-24T14:15:22Z",
569 "lastModifiedDate": "2019-08-24T14:15:22Z",
570 "archived": true,
571 "externalId": "string",
572 "id": 0,
573 "name": "string",
574 "code": "string",
575 "country": {
576 "createdBy": "string",
577 "lastModifiedBy": "string",
578 "createdDate": "2019-08-24T14:15:22Z",
579 "lastModifiedDate": "2019-08-24T14:15:22Z",
580 "archived": true,
581 "externalId": "string",
582 "id": 0,
583 "name": "string",
584 "code": "string"
585 },
586 "provinceCountryKey": "string"
587 },
588 "cityProvinceCountryKey": "string"
589 },
590 "district": {
591 "createdBy": "string",
592 "lastModifiedBy": "string",
593 "createdDate": "2019-08-24T14:15:22Z",
594 "lastModifiedDate": "2019-08-24T14:15:22Z",
595 "archived": true,
596 "externalId": "string",
597 "id": 0,
598 "name": "string",
599 "city": {
600 "createdBy": "string",
601 "lastModifiedBy": "string",
602 "createdDate": "2019-08-24T14:15:22Z",
603 "lastModifiedDate": "2019-08-24T14:15:22Z",
604 "archived": true,
605 "externalId": "string",
606 "id": 0,
607 "name": "string",
608 "province": {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "name": "string",
617 "code": "string",
618 "country": {
619 "createdBy": "string",
620 "lastModifiedBy": "string",
621 "createdDate": "2019-08-24T14:15:22Z",
622 "lastModifiedDate": "2019-08-24T14:15:22Z",
623 "archived": true,
624 "externalId": "string",
625 "id": 0,
626 "name": "string",
627 "code": "string"
628 },
629 "provinceCountryKey": "string"
630 },
631 "cityProvinceCountryKey": "string"
632 }
633 },
634 "cityId": 0,
635 "districtId": 0
636 },
637 "secondAddressDto": {
638 "createdBy": "string",
639 "lastModifiedBy": "string",
640 "createdDate": "2019-08-24T14:15:22Z",
641 "lastModifiedDate": "2019-08-24T14:15:22Z",
642 "archived": true,
643 "externalId": "string",
644 "id": 0,
645 "street": "string",
646 "civicNumber": "string",
647 "suite": "string",
648 "postalCode": "string",
649 "lon": 0.1,
650 "lat": 0.1,
651 "city": {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "name": "string",
660 "province": {
661 "createdBy": "string",
662 "lastModifiedBy": "string",
663 "createdDate": "2019-08-24T14:15:22Z",
664 "lastModifiedDate": "2019-08-24T14:15:22Z",
665 "archived": true,
666 "externalId": "string",
667 "id": 0,
668 "name": "string",
669 "code": "string",
670 "country": {
671 "createdBy": "string",
672 "lastModifiedBy": "string",
673 "createdDate": "2019-08-24T14:15:22Z",
674 "lastModifiedDate": "2019-08-24T14:15:22Z",
675 "archived": true,
676 "externalId": "string",
677 "id": 0,
678 "name": "string",
679 "code": "string"
680 },
681 "provinceCountryKey": "string"
682 },
683 "cityProvinceCountryKey": "string"
684 },
685 "district": {
686 "createdBy": "string",
687 "lastModifiedBy": "string",
688 "createdDate": "2019-08-24T14:15:22Z",
689 "lastModifiedDate": "2019-08-24T14:15:22Z",
690 "archived": true,
691 "externalId": "string",
692 "id": 0,
693 "name": "string",
694 "city": {
695 "createdBy": "string",
696 "lastModifiedBy": "string",
697 "createdDate": "2019-08-24T14:15:22Z",
698 "lastModifiedDate": "2019-08-24T14:15:22Z",
699 "archived": true,
700 "externalId": "string",
701 "id": 0,
702 "name": "string",
703 "province": {
704 "createdBy": "string",
705 "lastModifiedBy": "string",
706 "createdDate": "2019-08-24T14:15:22Z",
707 "lastModifiedDate": "2019-08-24T14:15:22Z",
708 "archived": true,
709 "externalId": "string",
710 "id": 0,
711 "name": "string",
712 "code": "string",
713 "country": {
714 "createdBy": "string",
715 "lastModifiedBy": "string",
716 "createdDate": "2019-08-24T14:15:22Z",
717 "lastModifiedDate": "2019-08-24T14:15:22Z",
718 "archived": true,
719 "externalId": "string",
720 "id": 0,
721 "name": "string",
722 "code": "string"
723 },
724 "provinceCountryKey": "string"
725 },
726 "cityProvinceCountryKey": "string"
727 }
728 },
729 "cityId": 0,
730 "districtId": 0
731 }
732 },
733 "status": {
734 "createdBy": "string",
735 "lastModifiedBy": "string",
736 "createdDate": "2019-08-24T14:15:22Z",
737 "lastModifiedDate": "2019-08-24T14:15:22Z",
738 "archived": true,
739 "externalId": "string",
740 "id": 0,
741 "priority": 0,
742 "internalId": 0,
743 "pickListCode": "string",
744 "pickListLabel": "string",
745 "label": "string",
746 "cultureId": 0,
747 "labelDtos": [
748 {
749 "createdBy": "string",
750 "lastModifiedBy": "string",
751 "createdDate": "2019-08-24T14:15:22Z",
752 "lastModifiedDate": "2019-08-24T14:15:22Z",
753 "archived": true,
754 "externalId": "string",
755 "id": 0,
756 "cultureId": 0,
757 "value": "string"
758 }
759 ]
760 },
761 "usage": {
762 "createdBy": "string",
763 "lastModifiedBy": "string",
764 "createdDate": "2019-08-24T14:15:22Z",
765 "lastModifiedDate": "2019-08-24T14:15:22Z",
766 "archived": true,
767 "externalId": "string",
768 "id": 0,
769 "priority": 0,
770 "internalId": 0,
771 "pickListCode": "string",
772 "pickListLabel": "string",
773 "label": "string",
774 "cultureId": 0,
775 "labelDtos": [
776 {
777 "createdBy": "string",
778 "lastModifiedBy": "string",
779 "createdDate": "2019-08-24T14:15:22Z",
780 "lastModifiedDate": "2019-08-24T14:15:22Z",
781 "archived": true,
782 "externalId": "string",
783 "id": 0,
784 "cultureId": 0,
785 "value": "string"
786 }
787 ]
788 },
789 "occupanciesDto": [
790 {
791 "createdBy": "string",
792 "lastModifiedBy": "string",
793 "createdDate": "2019-08-24T14:15:22Z",
794 "lastModifiedDate": "2019-08-24T14:15:22Z",
795 "archived": true,
796 "externalId": "string",
797 "id": 0,
798 "priority": 0,
799 "internalId": 0,
800 "pickListCode": "string",
801 "pickListLabel": "string",
802 "label": "string",
803 "cultureId": 0,
804 "labelDtos": [
805 {
806 "createdBy": "string",
807 "lastModifiedBy": "string",
808 "createdDate": "2019-08-24T14:15:22Z",
809 "lastModifiedDate": "2019-08-24T14:15:22Z",
810 "archived": true,
811 "externalId": "string",
812 "id": 0,
813 "cultureId": 0,
814 "value": "string"
815 }
816 ]
817 }
818 ]
819 },
820 "isTerminationVersion": true
821}
Lease - Delete LeaseΒΆ
HTTP Request
DELETE /api/leases/{id}
π Description: Deletes a specified lease from the Nakisa Portfolio Management Suite, enabling users to effectively manage their real estate property portfolio and maintain accurate asset records.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Lease - Get LeasesΒΆ
HTTP Request
GET /api/leases
π Description: Retrieves a list of lease agreements associated with real estate properties within the Nakisa Portfolio Management Suite, enabling users to analyze portfolio performance and asset utilization.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the lease query should be returned in a paginated format, facilitating efficient data retrieval for portfolio and asset management within the Nakisa Portfolio Management Suite. |
|
listing |
query |
boolean |
false |
Indicates whether to include listing details in the response for lease data within the Nakisa Portfolio Management Suite, enhancing insights for portfolio and asset analytics in real estate property management. |
search |
query |
string |
false |
Search term used to filter lease records within the Nakisa Portfolio Management Suite, enabling users to efficiently locate specific portfolio, asset, or real estate property information. |
premise-id |
query |
string |
false |
Unique identifier for the real estate property within the portfolio, facilitating precise asset tracking and analytics in the Nakisa Portfolio Management Suite. |
premise-id-in |
query |
string |
false |
Unique identifier for the real estate property premise, used to retrieve lease information within the Nakisa Portfolio Management Suite. |
premise-id-not-null |
query |
string |
false |
Specifies a non-null unique identifier for the real estate property within the lease portfolio, enabling precise asset tracking and analytics. |
premise-number |
query |
string |
false |
Unique identifier for the specific real estate property within the portfolio, used to retrieve lease information in the Nakisa Portfolio Management Suite. |
premise-number-like |
query |
string |
false |
Filters the lease records by matching the specified premise number, facilitating targeted asset analytics within the Nakisa Portfolio Management Suite. |
premise-external-id |
query |
string |
false |
Unique identifier for the external premise associated with a lease, facilitating accurate portfolio and asset management within the Nakisa Portfolio Management Suite. |
location-id |
query |
string |
false |
Unique identifier for the specific location within the Nakisa Portfolio Management Suite, used to retrieve lease information relevant to portfolio and asset analytics in real estate property management. |
location-number |
query |
string |
false |
Specifies the unique location number associated with a real estate property within the portfolio for analytical purposes. |
location-number-like |
query |
string |
false |
Specifies a location number or pattern to filter lease data within the Nakisa Portfolio Management Suite, enhancing portfolio and asset analytics for real estate properties. |
location-external-id |
query |
string |
false |
Unique identifier for the external location associated with a lease, facilitating accurate portfolio and asset management within the Nakisa Portfolio Management Suite. |
address-id |
query |
string |
false |
Unique identifier for the address associated with a lease, facilitating precise retrieval of real estate property data within the Nakisa Portfolio Management Suite. |
city-id |
query |
string |
false |
Unique identifier for the city associated with real estate properties in the Nakisa Portfolio Management Suite, used to filter lease data in the portfolio and asset analytics. |
province-id |
query |
string |
false |
Unique identifier for the province associated with the lease, facilitating targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
country-id |
query |
string |
false |
Unique identifier for the country associated with the lease, used to filter and retrieve relevant real estate property data within the Nakisa Portfolio Management Suite. |
contract-id |
query |
string |
false |
Unique identifier for the lease contract, enabling retrieval of specific lease details within the Nakisa Portfolio Management Suite. |
number |
query |
string |
false |
Represents the unique identifier for a lease within the Nakisa Portfolio Management Suite, facilitating efficient retrieval of lease-related data for portfolio and asset analytics in real estate management. |
number-like |
query |
string |
false |
Represents a numeric value or identifier related to leases within the Nakisa Portfolio Management Suite, facilitating portfolio and asset analytics for real estate properties. |
number-in |
query |
string |
false |
none |
id |
query |
string |
false |
none |
id-in |
query |
string |
false |
none |
type-id |
query |
string |
false |
Unique identifier for the type of lease being queried, facilitating targeted retrieval of lease data within the Nakisa Portfolio Management Suite. |
terminating-lease |
query |
string |
false |
Specifies the status of the lease termination, allowing users to filter lease data relevant to portfolio and asset management within the Nakisa Portfolio Management Suite. |
signature-date |
query |
string |
false |
Specifies the date for which lease data is being requested, enabling accurate portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
category-id |
query |
string |
false |
Unique identifier for the asset category within the Nakisa Portfolio Management Suite, used to filter lease data in the context of portfolio and real estate property analytics. |
registration-number |
query |
string |
false |
Unique identifier for the lease registration, facilitating the retrieval of specific lease data within the Nakisa Portfolio Management Suite. |
status-id |
query |
string |
false |
Unique identifier for the status of a lease within the Nakisa Portfolio Management Suite, facilitating insights into portfolio and asset analytics related to real estate properties. |
status-id-is-not |
query |
string |
false |
Excludes leases with the specified status ID from the results, enabling targeted portfolio and asset analytics within the Nakisa Portfolio Management Suite. |
status-id-in |
query |
string |
false |
Filters the lease records returned by the API based on the specified status identifier, enabling targeted analytics within the Nakisa Portfolio Management Suite for effective portfolio and asset management. |
original-lease-id |
query |
string |
false |
Unique identifier for the original lease, enabling retrieval of specific lease details within the Nakisa Portfolio Management Suite for effective portfolio and asset management. |
parent-lease-id-is-null |
query |
string |
false |
none |
state-id |
query |
string |
false |
Unique identifier for the state associated with a lease, enabling precise retrieval of portfolio, asset, and analytics data within the Nakisa Portfolio Management Suite. |
areas-history-version-id |
query |
string |
false |
none |
valid-from |
query |
string |
false |
Specifies the start date for the lease validity period, enabling users to filter lease data relevant to portfolio and asset management within the Nakisa Portfolio Management Suite. |
valid-to |
query |
string |
false |
Specifies the expiration date for lease agreements, enabling users to analyze portfolio and asset performance within the Nakisa Portfolio Management Suite. |
valid-to-greater-than |
query |
string |
false |
Specifies the minimum valid-to date for lease records returned in the portfolio analytics, ensuring that only leases with expiration dates beyond this threshold are included in the response. |
valid-to-less-than |
query |
string |
false |
Specifies the upper limit date for lease validity, enabling users to filter real estate property leases within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "leases": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "typeId": 0,
13 "terminatingLease": "2019-08-24",
14 "maximumDateTo": "2019-08-24",
15 "number": "string",
16 "validFrom": "2019-08-24",
17 "validTo": "2019-08-24",
18 "categoryId": 0,
19 "registrationNumber": "string",
20 "statusId": 0,
21 "stateId": 0,
22 "calculateTax": true,
23 "autoMonthToMonth": true,
24 "originalLeaseId": 0,
25 "scenario": true,
26 "parentLeaseId": 0,
27 "areasHistoryVersionId": 0,
28 "provisioningFrequencyName": "string",
29 "accountingApproved": true,
30 "indexationType": "string",
31 "cpiGlobalCategoryId": 0,
32 "indexationReferenceDate": "2019-08-24",
33 "currentIndexLevel": 0.1,
34 "conditionallyIndexed": true,
35 "applicableCurrentIndexLevel": 0.1,
36 "indexLevelPercentageChangeLowerBound": 0.1,
37 "indexLevelPercentageChangeUpperBound": 0.1,
38 "indexationTypeNonLease": "string",
39 "cpiGlobalCategoryIdNonLease": 0,
40 "indexationReferenceDateNonLease": "2019-08-24",
41 "currentIndexLevelNonLease": 0.1,
42 "conditionallyIndexedNonLease": true,
43 "applicableCurrentIndexLevelNonLease": 0.1,
44 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
45 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
46 "signatureDate": "2019-08-24",
47 "premiseId": 0,
48 "type": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "priority": 0,
57 "internalId": 0,
58 "pickListCode": "string",
59 "pickListLabel": "string",
60 "label": "string",
61 "cultureId": 0,
62 "labelDtos": [
63 {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "cultureId": 0,
72 "value": "string"
73 }
74 ]
75 },
76 "category": {
77 "createdBy": "string",
78 "lastModifiedBy": "string",
79 "createdDate": "2019-08-24T14:15:22Z",
80 "lastModifiedDate": "2019-08-24T14:15:22Z",
81 "archived": true,
82 "externalId": "string",
83 "id": 0,
84 "priority": 0,
85 "internalId": 0,
86 "pickListCode": "string",
87 "pickListLabel": "string",
88 "label": "string",
89 "cultureId": 0,
90 "labelDtos": [
91 {
92 "createdBy": "string",
93 "lastModifiedBy": "string",
94 "createdDate": "2019-08-24T14:15:22Z",
95 "lastModifiedDate": "2019-08-24T14:15:22Z",
96 "archived": true,
97 "externalId": "string",
98 "id": 0,
99 "cultureId": 0,
100 "value": "string"
101 }
102 ]
103 },
104 "status": {
105 "createdBy": "string",
106 "lastModifiedBy": "string",
107 "createdDate": "2019-08-24T14:15:22Z",
108 "lastModifiedDate": "2019-08-24T14:15:22Z",
109 "archived": true,
110 "externalId": "string",
111 "id": 0,
112 "priority": 0,
113 "internalId": 0,
114 "pickListCode": "string",
115 "pickListLabel": "string",
116 "label": "string",
117 "cultureId": 0,
118 "labelDtos": [
119 {
120 "createdBy": "string",
121 "lastModifiedBy": "string",
122 "createdDate": "2019-08-24T14:15:22Z",
123 "lastModifiedDate": "2019-08-24T14:15:22Z",
124 "archived": true,
125 "externalId": "string",
126 "id": 0,
127 "cultureId": 0,
128 "value": "string"
129 }
130 ]
131 },
132 "state": {
133 "createdBy": "string",
134 "lastModifiedBy": "string",
135 "createdDate": "2019-08-24T14:15:22Z",
136 "lastModifiedDate": "2019-08-24T14:15:22Z",
137 "archived": true,
138 "externalId": "string",
139 "id": 0,
140 "priority": 0,
141 "internalId": 0,
142 "pickListCode": "string",
143 "pickListLabel": "string",
144 "label": "string",
145 "cultureId": 0,
146 "labelDtos": [
147 {
148 "createdBy": "string",
149 "lastModifiedBy": "string",
150 "createdDate": "2019-08-24T14:15:22Z",
151 "lastModifiedDate": "2019-08-24T14:15:22Z",
152 "archived": true,
153 "externalId": "string",
154 "id": 0,
155 "cultureId": 0,
156 "value": "string"
157 }
158 ]
159 },
160 "version": {
161 "createdBy": "string",
162 "lastModifiedBy": "string",
163 "createdDate": "2019-08-24T14:15:22Z",
164 "lastModifiedDate": "2019-08-24T14:15:22Z",
165 "archived": true,
166 "externalId": "string",
167 "id": 0,
168 "name": "string",
169 "description": "string",
170 "modificationDate": "2019-08-24",
171 "updateContractRate": true,
172 "leaseEvent": {
173 "createdBy": "string",
174 "lastModifiedBy": "string",
175 "createdDate": "2019-08-24T14:15:22Z",
176 "lastModifiedDate": "2019-08-24T14:15:22Z",
177 "archived": true,
178 "externalId": "string",
179 "id": 0,
180 "typeId": 0,
181 "code": "string",
182 "reviewedBy": "string",
183 "reviewedDate": "2019-08-24",
184 "reviewedStatusId": 0,
185 "activityDate": "2019-08-24",
186 "relatedPickListOptionId": 0,
187 "detail": "string",
188 "note": {
189 "createdBy": "string",
190 "lastModifiedBy": "string",
191 "createdDate": "2019-08-24T14:15:22Z",
192 "lastModifiedDate": "2019-08-24T14:15:22Z",
193 "archived": true,
194 "externalId": "string",
195 "id": 0,
196 "message": "string",
197 "preserveOriginalAudit": true,
198 "originalCreatedBy": "string",
199 "originalCreatedDate": "2019-08-24T14:15:22Z",
200 "originalLastModifiedBy": "string",
201 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
202 },
203 "type": {
204 "createdBy": "string",
205 "lastModifiedBy": "string",
206 "createdDate": "2019-08-24T14:15:22Z",
207 "lastModifiedDate": "2019-08-24T14:15:22Z",
208 "archived": true,
209 "externalId": "string",
210 "id": 0,
211 "priority": 0,
212 "internalId": 0,
213 "pickListCode": "string",
214 "pickListLabel": "string",
215 "label": "string",
216 "cultureId": 0,
217 "labelDtos": [
218 {
219 "createdBy": "string",
220 "lastModifiedBy": "string",
221 "createdDate": "2019-08-24T14:15:22Z",
222 "lastModifiedDate": "2019-08-24T14:15:22Z",
223 "archived": true,
224 "externalId": "string",
225 "id": 0,
226 "cultureId": 0,
227 "value": "string"
228 }
229 ]
230 },
231 "reviewedStatus": {
232 "createdBy": "string",
233 "lastModifiedBy": "string",
234 "createdDate": "2019-08-24T14:15:22Z",
235 "lastModifiedDate": "2019-08-24T14:15:22Z",
236 "archived": true,
237 "externalId": "string",
238 "id": 0,
239 "priority": 0,
240 "internalId": 0,
241 "pickListCode": "string",
242 "pickListLabel": "string",
243 "label": "string",
244 "cultureId": 0,
245 "labelDtos": [
246 {
247 "createdBy": "string",
248 "lastModifiedBy": "string",
249 "createdDate": "2019-08-24T14:15:22Z",
250 "lastModifiedDate": "2019-08-24T14:15:22Z",
251 "archived": true,
252 "externalId": "string",
253 "id": 0,
254 "cultureId": 0,
255 "value": "string"
256 }
257 ]
258 },
259 "relatedPickListOption": {
260 "createdBy": "string",
261 "lastModifiedBy": "string",
262 "createdDate": "2019-08-24T14:15:22Z",
263 "lastModifiedDate": "2019-08-24T14:15:22Z",
264 "archived": true,
265 "externalId": "string",
266 "id": 0,
267 "priority": 0,
268 "internalId": 0,
269 "pickListCode": "string",
270 "pickListLabel": "string",
271 "label": "string",
272 "cultureId": 0,
273 "labelDtos": [
274 {
275 "createdBy": "string",
276 "lastModifiedBy": "string",
277 "createdDate": "2019-08-24T14:15:22Z",
278 "lastModifiedDate": "2019-08-24T14:15:22Z",
279 "archived": true,
280 "externalId": "string",
281 "id": 0,
282 "cultureId": 0,
283 "value": "string"
284 }
285 ]
286 },
287 "isVisiblePartnerPortal": true
288 },
289 "isVisibleVendorPortal": true,
290 "isTerminationVersion": true,
291 "terminationDate": "2019-08-24",
292 "penaltyAmount": 0.1,
293 "areasHistoryVersionId": 0
294 },
295 "premiseDto": {
296 "createdBy": "string",
297 "lastModifiedBy": "string",
298 "createdDate": "2019-08-24T14:15:22Z",
299 "lastModifiedDate": "2019-08-24T14:15:22Z",
300 "archived": true,
301 "externalId": "string",
302 "id": 0,
303 "number": "string",
304 "name": "string",
305 "headPremise": true,
306 "possessionDate": "2019-08-24",
307 "openingDate": "2019-08-24",
308 "closingDate": "2019-08-24",
309 "relocationDate": "2019-08-24",
310 "vacatingDate": "2019-08-24",
311 "expansionDate": "2019-08-24",
312 "statusId": 0,
313 "usageId": 0,
314 "parentPremiseId": 0,
315 "costCenterId": 0,
316 "profitCenterId": 0,
317 "legalEntityId": 0,
318 "occupancyIds": [
319 0
320 ],
321 "locationId": 0,
322 "locationDto": {
323 "createdBy": "string",
324 "lastModifiedBy": "string",
325 "createdDate": "2019-08-24T14:15:22Z",
326 "lastModifiedDate": "2019-08-24T14:15:22Z",
327 "archived": true,
328 "externalId": "string",
329 "id": 0,
330 "number": "string",
331 "name": "string",
332 "storeNumber": "string",
333 "defaultCurrencyId": 0,
334 "defaultMeasureId": 0,
335 "typeId": 0,
336 "qualityId": 0,
337 "propertyTypeId": 0,
338 "categoryId": 0,
339 "statusId": 0,
340 "businessUnitId": 0,
341 "groupIds": [
342 0
343 ],
344 "legalEntityIds": [
345 0
346 ],
347 "defaultCurrency": {
348 "id": 0,
349 "status": "CREATED",
350 "displayId": "string",
351 "erpSystemId": 0,
352 "erpSystemDisplayId": "string",
353 "name": "string",
354 "decimalPoints": 0,
355 "depreciationAreaId": 0
356 },
357 "defaultUnitValue": {
358 "createdBy": "string",
359 "lastModifiedBy": "string",
360 "createdDate": "2019-08-24T14:15:22Z",
361 "lastModifiedDate": "2019-08-24T14:15:22Z",
362 "archived": true,
363 "externalId": "string",
364 "id": 0,
365 "unitId": 0,
366 "unitOfMeasureId": 0,
367 "erpSystemId": 0,
368 "unit": {
369 "createdBy": "string",
370 "lastModifiedBy": "string",
371 "createdDate": "2019-08-24T14:15:22Z",
372 "lastModifiedDate": "2019-08-24T14:15:22Z",
373 "archived": true,
374 "externalId": "string",
375 "id": 0,
376 "priority": 0,
377 "internalId": 0,
378 "pickListCode": "string",
379 "pickListLabel": "string",
380 "label": "string",
381 "cultureId": 0,
382 "labelDtos": [
383 {
384 "createdBy": "string",
385 "lastModifiedBy": "string",
386 "createdDate": "2019-08-24T14:15:22Z",
387 "lastModifiedDate": "2019-08-24T14:15:22Z",
388 "archived": true,
389 "externalId": "string",
390 "id": 0,
391 "cultureId": 0,
392 "value": "string"
393 }
394 ]
395 },
396 "unitOfMeasure": {
397 "id": 0,
398 "status": "CREATED",
399 "displayId": "string",
400 "erpSystemId": 0,
401 "erpSystemDisplayId": "string",
402 "name": "string"
403 }
404 },
405 "type": {
406 "createdBy": "string",
407 "lastModifiedBy": "string",
408 "createdDate": "2019-08-24T14:15:22Z",
409 "lastModifiedDate": "2019-08-24T14:15:22Z",
410 "archived": true,
411 "externalId": "string",
412 "id": 0,
413 "priority": 0,
414 "internalId": 0,
415 "pickListCode": "string",
416 "pickListLabel": "string",
417 "label": "string",
418 "cultureId": 0,
419 "labelDtos": [
420 {
421 "createdBy": "string",
422 "lastModifiedBy": "string",
423 "createdDate": "2019-08-24T14:15:22Z",
424 "lastModifiedDate": "2019-08-24T14:15:22Z",
425 "archived": true,
426 "externalId": "string",
427 "id": 0,
428 "cultureId": 0,
429 "value": "string"
430 }
431 ]
432 },
433 "quality": {
434 "createdBy": "string",
435 "lastModifiedBy": "string",
436 "createdDate": "2019-08-24T14:15:22Z",
437 "lastModifiedDate": "2019-08-24T14:15:22Z",
438 "archived": true,
439 "externalId": "string",
440 "id": 0,
441 "priority": 0,
442 "internalId": 0,
443 "pickListCode": "string",
444 "pickListLabel": "string",
445 "label": "string",
446 "cultureId": 0,
447 "labelDtos": [
448 {
449 "createdBy": "string",
450 "lastModifiedBy": "string",
451 "createdDate": "2019-08-24T14:15:22Z",
452 "lastModifiedDate": "2019-08-24T14:15:22Z",
453 "archived": true,
454 "externalId": "string",
455 "id": 0,
456 "cultureId": 0,
457 "value": "string"
458 }
459 ]
460 },
461 "propertyType": {
462 "createdBy": "string",
463 "lastModifiedBy": "string",
464 "createdDate": "2019-08-24T14:15:22Z",
465 "lastModifiedDate": "2019-08-24T14:15:22Z",
466 "archived": true,
467 "externalId": "string",
468 "id": 0,
469 "priority": 0,
470 "internalId": 0,
471 "pickListCode": "string",
472 "pickListLabel": "string",
473 "label": "string",
474 "cultureId": 0,
475 "labelDtos": [
476 {
477 "createdBy": "string",
478 "lastModifiedBy": "string",
479 "createdDate": "2019-08-24T14:15:22Z",
480 "lastModifiedDate": "2019-08-24T14:15:22Z",
481 "archived": true,
482 "externalId": "string",
483 "id": 0,
484 "cultureId": 0,
485 "value": "string"
486 }
487 ]
488 },
489 "category": {
490 "createdBy": "string",
491 "lastModifiedBy": "string",
492 "createdDate": "2019-08-24T14:15:22Z",
493 "lastModifiedDate": "2019-08-24T14:15:22Z",
494 "archived": true,
495 "externalId": "string",
496 "id": 0,
497 "priority": 0,
498 "internalId": 0,
499 "pickListCode": "string",
500 "pickListLabel": "string",
501 "label": "string",
502 "cultureId": 0,
503 "labelDtos": [
504 {
505 "createdBy": "string",
506 "lastModifiedBy": "string",
507 "createdDate": "2019-08-24T14:15:22Z",
508 "lastModifiedDate": "2019-08-24T14:15:22Z",
509 "archived": true,
510 "externalId": "string",
511 "id": 0,
512 "cultureId": 0,
513 "value": "string"
514 }
515 ]
516 },
517 "status": {
518 "createdBy": "string",
519 "lastModifiedBy": "string",
520 "createdDate": "2019-08-24T14:15:22Z",
521 "lastModifiedDate": "2019-08-24T14:15:22Z",
522 "archived": true,
523 "externalId": "string",
524 "id": 0,
525 "priority": 0,
526 "internalId": 0,
527 "pickListCode": "string",
528 "pickListLabel": "string",
529 "label": "string",
530 "cultureId": 0,
531 "labelDtos": [
532 {
533 "createdBy": "string",
534 "lastModifiedBy": "string",
535 "createdDate": "2019-08-24T14:15:22Z",
536 "lastModifiedDate": "2019-08-24T14:15:22Z",
537 "archived": true,
538 "externalId": "string",
539 "id": 0,
540 "cultureId": 0,
541 "value": "string"
542 }
543 ]
544 },
545 "addressDto": {
546 "createdBy": "string",
547 "lastModifiedBy": "string",
548 "createdDate": "2019-08-24T14:15:22Z",
549 "lastModifiedDate": "2019-08-24T14:15:22Z",
550 "archived": true,
551 "externalId": "string",
552 "id": 0,
553 "street": "string",
554 "civicNumber": "string",
555 "suite": "string",
556 "postalCode": "string",
557 "lon": 0.1,
558 "lat": 0.1,
559 "city": {
560 "createdBy": "string",
561 "lastModifiedBy": "string",
562 "createdDate": "2019-08-24T14:15:22Z",
563 "lastModifiedDate": "2019-08-24T14:15:22Z",
564 "archived": true,
565 "externalId": "string",
566 "id": 0,
567 "name": "string",
568 "province": {
569 "createdBy": "string",
570 "lastModifiedBy": "string",
571 "createdDate": "2019-08-24T14:15:22Z",
572 "lastModifiedDate": "2019-08-24T14:15:22Z",
573 "archived": true,
574 "externalId": "string",
575 "id": 0,
576 "name": "string",
577 "code": "string",
578 "country": {
579 "createdBy": "string",
580 "lastModifiedBy": "string",
581 "createdDate": "2019-08-24T14:15:22Z",
582 "lastModifiedDate": "2019-08-24T14:15:22Z",
583 "archived": true,
584 "externalId": "string",
585 "id": 0,
586 "name": "string",
587 "code": "string"
588 },
589 "provinceCountryKey": "string"
590 },
591 "cityProvinceCountryKey": "string"
592 },
593 "district": {
594 "createdBy": "string",
595 "lastModifiedBy": "string",
596 "createdDate": "2019-08-24T14:15:22Z",
597 "lastModifiedDate": "2019-08-24T14:15:22Z",
598 "archived": true,
599 "externalId": "string",
600 "id": 0,
601 "name": "string",
602 "city": {
603 "createdBy": "string",
604 "lastModifiedBy": "string",
605 "createdDate": "2019-08-24T14:15:22Z",
606 "lastModifiedDate": "2019-08-24T14:15:22Z",
607 "archived": true,
608 "externalId": "string",
609 "id": 0,
610 "name": "string",
611 "province": {
612 "createdBy": "string",
613 "lastModifiedBy": "string",
614 "createdDate": "2019-08-24T14:15:22Z",
615 "lastModifiedDate": "2019-08-24T14:15:22Z",
616 "archived": true,
617 "externalId": "string",
618 "id": 0,
619 "name": "string",
620 "code": "string",
621 "country": {},
622 "provinceCountryKey": "string"
623 },
624 "cityProvinceCountryKey": "string"
625 }
626 },
627 "cityId": 0,
628 "districtId": 0
629 },
630 "secondAddressDto": {
631 "createdBy": "string",
632 "lastModifiedBy": "string",
633 "createdDate": "2019-08-24T14:15:22Z",
634 "lastModifiedDate": "2019-08-24T14:15:22Z",
635 "archived": true,
636 "externalId": "string",
637 "id": 0,
638 "street": "string",
639 "civicNumber": "string",
640 "suite": "string",
641 "postalCode": "string",
642 "lon": 0.1,
643 "lat": 0.1,
644 "city": {
645 "createdBy": "string",
646 "lastModifiedBy": "string",
647 "createdDate": "2019-08-24T14:15:22Z",
648 "lastModifiedDate": "2019-08-24T14:15:22Z",
649 "archived": true,
650 "externalId": "string",
651 "id": 0,
652 "name": "string",
653 "province": {
654 "createdBy": "string",
655 "lastModifiedBy": "string",
656 "createdDate": "2019-08-24T14:15:22Z",
657 "lastModifiedDate": "2019-08-24T14:15:22Z",
658 "archived": true,
659 "externalId": "string",
660 "id": 0,
661 "name": "string",
662 "code": "string",
663 "country": {
664 "createdBy": "string",
665 "lastModifiedBy": "string",
666 "createdDate": "2019-08-24T14:15:22Z",
667 "lastModifiedDate": "2019-08-24T14:15:22Z",
668 "archived": true,
669 "externalId": "string",
670 "id": 0,
671 "name": "string",
672 "code": "string"
673 },
674 "provinceCountryKey": "string"
675 },
676 "cityProvinceCountryKey": "string"
677 },
678 "district": {
679 "createdBy": "string",
680 "lastModifiedBy": "string",
681 "createdDate": "2019-08-24T14:15:22Z",
682 "lastModifiedDate": "2019-08-24T14:15:22Z",
683 "archived": true,
684 "externalId": "string",
685 "id": 0,
686 "name": "string",
687 "city": {
688 "createdBy": "string",
689 "lastModifiedBy": "string",
690 "createdDate": "2019-08-24T14:15:22Z",
691 "lastModifiedDate": "2019-08-24T14:15:22Z",
692 "archived": true,
693 "externalId": "string",
694 "id": 0,
695 "name": "string",
696 "province": {
697 "createdBy": "string",
698 "lastModifiedBy": "string",
699 "createdDate": "2019-08-24T14:15:22Z",
700 "lastModifiedDate": "2019-08-24T14:15:22Z",
701 "archived": true,
702 "externalId": "string",
703 "id": 0,
704 "name": "string",
705 "code": "string",
706 "country": {},
707 "provinceCountryKey": "string"
708 },
709 "cityProvinceCountryKey": "string"
710 }
711 },
712 "cityId": 0,
713 "districtId": 0
714 }
715 },
716 "status": {
717 "createdBy": "string",
718 "lastModifiedBy": "string",
719 "createdDate": "2019-08-24T14:15:22Z",
720 "lastModifiedDate": "2019-08-24T14:15:22Z",
721 "archived": true,
722 "externalId": "string",
723 "id": 0,
724 "priority": 0,
725 "internalId": 0,
726 "pickListCode": "string",
727 "pickListLabel": "string",
728 "label": "string",
729 "cultureId": 0,
730 "labelDtos": [
731 {
732 "createdBy": "string",
733 "lastModifiedBy": "string",
734 "createdDate": "2019-08-24T14:15:22Z",
735 "lastModifiedDate": "2019-08-24T14:15:22Z",
736 "archived": true,
737 "externalId": "string",
738 "id": 0,
739 "cultureId": 0,
740 "value": "string"
741 }
742 ]
743 },
744 "usage": {
745 "createdBy": "string",
746 "lastModifiedBy": "string",
747 "createdDate": "2019-08-24T14:15:22Z",
748 "lastModifiedDate": "2019-08-24T14:15:22Z",
749 "archived": true,
750 "externalId": "string",
751 "id": 0,
752 "priority": 0,
753 "internalId": 0,
754 "pickListCode": "string",
755 "pickListLabel": "string",
756 "label": "string",
757 "cultureId": 0,
758 "labelDtos": [
759 {
760 "createdBy": "string",
761 "lastModifiedBy": "string",
762 "createdDate": "2019-08-24T14:15:22Z",
763 "lastModifiedDate": "2019-08-24T14:15:22Z",
764 "archived": true,
765 "externalId": "string",
766 "id": 0,
767 "cultureId": 0,
768 "value": "string"
769 }
770 ]
771 },
772 "occupanciesDto": [
773 {
774 "createdBy": "string",
775 "lastModifiedBy": "string",
776 "createdDate": "2019-08-24T14:15:22Z",
777 "lastModifiedDate": "2019-08-24T14:15:22Z",
778 "archived": true,
779 "externalId": "string",
780 "id": 0,
781 "priority": 0,
782 "internalId": 0,
783 "pickListCode": "string",
784 "pickListLabel": "string",
785 "label": "string",
786 "cultureId": 0,
787 "labelDtos": [
788 {
789 "createdBy": "string",
790 "lastModifiedBy": "string",
791 "createdDate": "2019-08-24T14:15:22Z",
792 "lastModifiedDate": "2019-08-24T14:15:22Z",
793 "archived": true,
794 "externalId": "string",
795 "id": 0,
796 "cultureId": 0,
797 "value": "string"
798 }
799 ]
800 }
801 ]
802 },
803 "isTerminationVersion": true
804 }
805 ]
806 },
807 "page": {
808 "size": 0,
809 "totalElements": 0,
810 "totalPages": 0,
811 "number": 0
812 }
813}
Lease - Create LeasesΒΆ
HTTP Request
POST /api/leases
π Description: Creates a new lease entry within the Nakisa Portfolio Management Suite, enabling users to manage real estate properties and associated assets effectively for enhanced portfolio analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the lease details, including asset information, terms, and financial metrics, essential for effective portfolio management and real estate analytics. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "typeId": 0,
11 "terminatingLease": "2019-08-24",
12 "maximumDateTo": "2019-08-24",
13 "number": "string",
14 "validFrom": "2019-08-24",
15 "validTo": "2019-08-24",
16 "categoryId": 0,
17 "registrationNumber": "string",
18 "statusId": 0,
19 "stateId": 0,
20 "calculateTax": true,
21 "autoMonthToMonth": true,
22 "originalLeaseId": 0,
23 "scenario": true,
24 "parentLeaseId": 0,
25 "areasHistoryVersionId": 0,
26 "provisioningFrequencyName": "string",
27 "accountingApproved": true,
28 "indexationType": "string",
29 "cpiGlobalCategoryId": 0,
30 "indexationReferenceDate": "2019-08-24",
31 "currentIndexLevel": 0.1,
32 "conditionallyIndexed": true,
33 "applicableCurrentIndexLevel": 0.1,
34 "indexLevelPercentageChangeLowerBound": 0.1,
35 "indexLevelPercentageChangeUpperBound": 0.1,
36 "indexationTypeNonLease": "string",
37 "cpiGlobalCategoryIdNonLease": 0,
38 "indexationReferenceDateNonLease": "2019-08-24",
39 "currentIndexLevelNonLease": 0.1,
40 "conditionallyIndexedNonLease": true,
41 "applicableCurrentIndexLevelNonLease": 0.1,
42 "indexLevelPercentageChangeLowerBoundNonLease": 0.1,
43 "indexLevelPercentageChangeUpperBoundNonLease": 0.1,
44 "signatureDate": "2019-08-24",
45 "premiseId": 0,
46 "type": {
47 "createdBy": "string",
48 "lastModifiedBy": "string",
49 "createdDate": "2019-08-24T14:15:22Z",
50 "lastModifiedDate": "2019-08-24T14:15:22Z",
51 "archived": true,
52 "externalId": "string",
53 "id": 0,
54 "priority": 0,
55 "internalId": 0,
56 "pickListCode": "string",
57 "pickListLabel": "string",
58 "label": "string",
59 "cultureId": 0,
60 "labelDtos": [
61 {
62 "createdBy": "string",
63 "lastModifiedBy": "string",
64 "createdDate": "2019-08-24T14:15:22Z",
65 "lastModifiedDate": "2019-08-24T14:15:22Z",
66 "archived": true,
67 "externalId": "string",
68 "id": 0,
69 "cultureId": 0,
70 "value": "string"
71 }
72 ]
73 },
74 "category": {
75 "createdBy": "string",
76 "lastModifiedBy": "string",
77 "createdDate": "2019-08-24T14:15:22Z",
78 "lastModifiedDate": "2019-08-24T14:15:22Z",
79 "archived": true,
80 "externalId": "string",
81 "id": 0,
82 "priority": 0,
83 "internalId": 0,
84 "pickListCode": "string",
85 "pickListLabel": "string",
86 "label": "string",
87 "cultureId": 0,
88 "labelDtos": [
89 {
90 "createdBy": "string",
91 "lastModifiedBy": "string",
92 "createdDate": "2019-08-24T14:15:22Z",
93 "lastModifiedDate": "2019-08-24T14:15:22Z",
94 "archived": true,
95 "externalId": "string",
96 "id": 0,
97 "cultureId": 0,
98 "value": "string"
99 }
100 ]
101 },
102 "status": {
103 "createdBy": "string",
104 "lastModifiedBy": "string",
105 "createdDate": "2019-08-24T14:15:22Z",
106 "lastModifiedDate": "2019-08-24T14:15:22Z",
107 "archived": true,
108 "externalId": "string",
109 "id": 0,
110 "priority": 0,
111 "internalId": 0,
112 "pickListCode": "string",
113 "pickListLabel": "string",
114 "label": "string",
115 "cultureId": 0,
116 "labelDtos": [
117 {
118 "createdBy": "string",
119 "lastModifiedBy": "string",
120 "createdDate": "2019-08-24T14:15:22Z",
121 "lastModifiedDate": "2019-08-24T14:15:22Z",
122 "archived": true,
123 "externalId": "string",
124 "id": 0,
125 "cultureId": 0,
126 "value": "string"
127 }
128 ]
129 },
130 "state": {
131 "createdBy": "string",
132 "lastModifiedBy": "string",
133 "createdDate": "2019-08-24T14:15:22Z",
134 "lastModifiedDate": "2019-08-24T14:15:22Z",
135 "archived": true,
136 "externalId": "string",
137 "id": 0,
138 "priority": 0,
139 "internalId": 0,
140 "pickListCode": "string",
141 "pickListLabel": "string",
142 "label": "string",
143 "cultureId": 0,
144 "labelDtos": [
145 {
146 "createdBy": "string",
147 "lastModifiedBy": "string",
148 "createdDate": "2019-08-24T14:15:22Z",
149 "lastModifiedDate": "2019-08-24T14:15:22Z",
150 "archived": true,
151 "externalId": "string",
152 "id": 0,
153 "cultureId": 0,
154 "value": "string"
155 }
156 ]
157 },
158 "version": {
159 "createdBy": "string",
160 "lastModifiedBy": "string",
161 "createdDate": "2019-08-24T14:15:22Z",
162 "lastModifiedDate": "2019-08-24T14:15:22Z",
163 "archived": true,
164 "externalId": "string",
165 "id": 0,
166 "name": "string",
167 "description": "string",
168 "modificationDate": "2019-08-24",
169 "updateContractRate": true,
170 "leaseEvent": {
171 "createdBy": "string",
172 "lastModifiedBy": "string",
173 "createdDate": "2019-08-24T14:15:22Z",
174 "lastModifiedDate": "2019-08-24T14:15:22Z",
175 "archived": true,
176 "externalId": "string",
177 "id": 0,
178 "typeId": 0,
179 "code": "string",
180 "reviewedBy": "string",
181 "reviewedDate": "2019-08-24",
182 "reviewedStatusId": 0,
183 "activityDate": "2019-08-24",
184 "relatedPickListOptionId": 0,
185 "detail": "string",
186 "note": {
187 "createdBy": "string",
188 "lastModifiedBy": "string",
189 "createdDate": "2019-08-24T14:15:22Z",
190 "lastModifiedDate": "2019-08-24T14:15:22Z",
191 "archived": true,
192 "externalId": "string",
193 "id": 0,
194 "message": "string",
195 "preserveOriginalAudit": true,
196 "originalCreatedBy": "string",
197 "originalCreatedDate": "2019-08-24T14:15:22Z",
198 "originalLastModifiedBy": "string",
199 "originalLastModifiedDate": "2019-08-24T14:15:22Z"
200 },
201 "type": {
202 "createdBy": "string",
203 "lastModifiedBy": "string",
204 "createdDate": "2019-08-24T14:15:22Z",
205 "lastModifiedDate": "2019-08-24T14:15:22Z",
206 "archived": true,
207 "externalId": "string",
208 "id": 0,
209 "priority": 0,
210 "internalId": 0,
211 "pickListCode": "string",
212 "pickListLabel": "string",
213 "label": "string",
214 "cultureId": 0,
215 "labelDtos": [
216 {
217 "createdBy": "string",
218 "lastModifiedBy": "string",
219 "createdDate": "2019-08-24T14:15:22Z",
220 "lastModifiedDate": "2019-08-24T14:15:22Z",
221 "archived": true,
222 "externalId": "string",
223 "id": 0,
224 "cultureId": 0,
225 "value": "string"
226 }
227 ]
228 },
229 "reviewedStatus": {
230 "createdBy": "string",
231 "lastModifiedBy": "string",
232 "createdDate": "2019-08-24T14:15:22Z",
233 "lastModifiedDate": "2019-08-24T14:15:22Z",
234 "archived": true,
235 "externalId": "string",
236 "id": 0,
237 "priority": 0,
238 "internalId": 0,
239 "pickListCode": "string",
240 "pickListLabel": "string",
241 "label": "string",
242 "cultureId": 0,
243 "labelDtos": [
244 {
245 "createdBy": "string",
246 "lastModifiedBy": "string",
247 "createdDate": "2019-08-24T14:15:22Z",
248 "lastModifiedDate": "2019-08-24T14:15:22Z",
249 "archived": true,
250 "externalId": "string",
251 "id": 0,
252 "cultureId": 0,
253 "value": "string"
254 }
255 ]
256 },
257 "relatedPickListOption": {
258 "createdBy": "string",
259 "lastModifiedBy": "string",
260 "createdDate": "2019-08-24T14:15:22Z",
261 "lastModifiedDate": "2019-08-24T14:15:22Z",
262 "archived": true,
263 "externalId": "string",
264 "id": 0,
265 "priority": 0,
266 "internalId": 0,
267 "pickListCode": "string",
268 "pickListLabel": "string",
269 "label": "string",
270 "cultureId": 0,
271 "labelDtos": [
272 {
273 "createdBy": "string",
274 "lastModifiedBy": "string",
275 "createdDate": "2019-08-24T14:15:22Z",
276 "lastModifiedDate": "2019-08-24T14:15:22Z",
277 "archived": true,
278 "externalId": "string",
279 "id": 0,
280 "cultureId": 0,
281 "value": "string"
282 }
283 ]
284 },
285 "isVisiblePartnerPortal": true
286 },
287 "scenario": true,
288 "isVisibleVendorPortal": true,
289 "isTerminationVersion": true,
290 "terminationDate": "2019-08-24",
291 "penaltyAmount": 0.1,
292 "areasHistoryVersionId": 0
293 },
294 "premiseDto": {
295 "createdBy": "string",
296 "lastModifiedBy": "string",
297 "createdDate": "2019-08-24T14:15:22Z",
298 "lastModifiedDate": "2019-08-24T14:15:22Z",
299 "archived": true,
300 "externalId": "string",
301 "id": 0,
302 "number": "string",
303 "name": "string",
[...]
